diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 6160c63..27fff7d 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -22591,6 +22591,50 @@ o )show Equation
 @
 \pagehead{Equation}{EQ}
 \pagepic{ps/v103equation.ps}{EQ}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EQ}{0} &
+\cross{EQ}{1} &
+\cross{EQ}{characteristic} &
+\cross{EQ}{coerce} &
+\cross{EQ}{commutator} \\
+\cross{EQ}{conjugate} &
+\cross{EQ}{D} &
+\cross{EQ}{differentiate} &
+\cross{EQ}{dimension} &
+\cross{EQ}{equation} \\
+\cross{EQ}{eval} &
+\cross{EQ}{factorAndSplit} &
+\cross{EQ}{hash} &
+\cross{EQ}{inv} &
+\cross{EQ}{latex} \\
+\cross{EQ}{leftOne} &
+\cross{EQ}{leftZero} &
+\cross{EQ}{lhs} &
+\cross{EQ}{map} &
+\cross{EQ}{one?} \\
+\cross{EQ}{recip} &
+\cross{EQ}{rhs} &
+\cross{EQ}{rightOne} &
+\cross{EQ}{rightZero} &
+\cross{EQ}{sample} \\
+\cross{EQ}{subst} &
+\cross{EQ}{subtractIfCan} &
+\cross{EQ}{swap} &
+\cross{EQ}{zero?} &
+\cross{EQ}{?\~{}=?} \\
+\cross{EQ}{-?} &
+\cross{EQ}{?=?} &
+\cross{EQ}{?*?} &
+\cross{EQ}{?**?} &
+\cross{EQ}{?+?} \\
+\cross{EQ}{?-?} &
+\cross{EQ}{?/?} &
+\cross{EQ}{?=?} &
+\cross{EQ}{?\^{}?} &
+\end{tabular}
+
 <<domain EQ Equation>>=
 )abbrev domain EQ Equation
 --FOR THE BENEFIT  OF LIBAX0 GENERATION
@@ -22923,6 +22967,67 @@ o )show EqTable
 \pageto{StringTable}{STRTBL}
 \pageto{GeneralSparseTable}{GSTBL}
 \pageto{SparseTable}{STBL}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EQTBL}{any?} &
+\cross{EQTBL}{bag} &
+\cross{EQTBL}{coerce} &
+\cross{EQTBL}{construct} &
+\cross{EQTBL}{convert} \\
+\cross{EQTBL}{copy} &
+\cross{EQTBL}{count} &
+\cross{EQTBL}{dictionary} &
+\cross{EQTBL}{elt} &
+\cross{EQTBL}{empty} \\
+\cross{EQTBL}{empty?} &
+\cross{EQTBL}{entries} &
+\cross{EQTBL}{entry?} &
+\cross{EQTBL}{eq?} &
+\cross{EQTBL}{eval} \\
+\cross{EQTBL}{every?} &
+\cross{EQTBL}{extract!} &
+\cross{EQTBL}{fill!} &
+\cross{EQTBL}{find} &
+\cross{EQTBL}{first} \\
+\cross{EQTBL}{hash} &
+\cross{EQTBL}{index?} &
+\cross{EQTBL}{indices} &
+\cross{EQTBL}{insert!} &
+\cross{EQTBL}{inspect} \\
+\cross{EQTBL}{key?} &
+\cross{EQTBL}{keys} &
+\cross{EQTBL}{latex} &
+\cross{EQTBL}{less?} &
+\cross{EQTBL}{map} \\
+\cross{EQTBL}{map!} &
+\cross{EQTBL}{maxIndex} &
+\cross{EQTBL}{member?} &
+\cross{EQTBL}{members} &
+\cross{EQTBL}{minIndex} \\
+\cross{EQTBL}{more?} &
+\cross{EQTBL}{parts} &
+\cross{EQTBL}{qelt} &
+\cross{EQTBL}{qsetelt!} &
+\cross{EQTBL}{reduce} \\
+\cross{EQTBL}{remove} &
+\cross{EQTBL}{remove!} &
+\cross{EQTBL}{removeDuplicates} &
+\cross{EQTBL}{sample} &
+\cross{EQTBL}{search} \\
+\cross{EQTBL}{select} &
+\cross{EQTBL}{select!} &
+\cross{EQTBL}{setelt} &
+\cross{EQTBL}{size?} &
+\cross{EQTBL}{swap!} \\
+\cross{EQTBL}{table} &
+\cross{EQTBL}{table} &
+\cross{EQTBL}{\#{}?} &
+\cross{EQTBL}{?=?} &
+\cross{EQTBL}{?\~{}=?} \\
+\cross{EQTBL}{?.?} &&&&
+\end{tabular}
+
 <<domain EQTBL EqTable>>=
 )abbrev domain EQTBL EqTable
 ++ Author: Stephen M. Watt
@@ -22956,6 +23061,52 @@ EqTable(Key: SetCategory, Entry: SetCategory) ==
 {\bf See}\\
 \pageto{ModularRing}{MODRING}
 \pageto{ModularField}{MODFIELD}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EMR}{0} &
+\cross{EMR}{1} &
+\cross{EMR}{associates?} &
+\cross{EMR}{characteristic} &
+\cross{EMR}{coerce} \\
+\cross{EMR}{divide} &
+\cross{EMR}{euclideanSize} &
+\cross{EMR}{exQuo} &
+\cross{EMR}{expressIdealMember} &
+\cross{EMR}{exquo} \\
+\cross{EMR}{extendedEuclidean} &
+\cross{EMR}{gcd} &
+\cross{EMR}{gcdPolynomial} &
+\cross{EMR}{hash} &
+\cross{EMR}{inv} \\
+\cross{EMR}{latex} &
+\cross{EMR}{lcm} &
+\cross{EMR}{modulus} &
+\cross{EMR}{multiEuclidean} &
+\cross{EMR}{one?} \\
+\cross{EMR}{principalIdeal} &
+\cross{EMR}{recip} &
+\cross{EMR}{reduce} &
+\cross{EMR}{sample} &
+\cross{EMR}{sizeLess?} \\
+\cross{EMR}{subtractIfCan} &
+\cross{EMR}{unit?} &
+\cross{EMR}{unitCanonical} &
+\cross{EMR}{unitNormal} &
+\cross{EMR}{zero?} \\
+\cross{EMR}{?\~{}=?} &
+\cross{EMR}{?*?} &
+\cross{EMR}{?**?} &
+\cross{EMR}{?\^{}?} &
+\cross{EMR}{?+?} \\
+\cross{EMR}{?-?} &
+\cross{EMR}{-?} &
+\cross{EMR}{?=?} &
+\cross{EMR}{?.?} &
+\cross{EMR}{?quo?} \\
+\cross{EMR}{?rem?} &&&&
+\end{tabular}
+
 <<domain EMR EuclideanModularRing>>=
 )abbrev domain EMR EuclideanModularRing
 ++ Description:
@@ -23209,6 +23360,91 @@ Exit: SetCategory == add
 {\bf See}\\
 \pageto{ExponentialOfUnivariatePuiseuxSeries}{EXPUPXS}
 \pageto{UnivariatePuiseuxSeriesWithExponentialSingularity}{UPXSSING}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{EXPEXPAN}{0} &
+\cross{EXPEXPAN}{1} &
+\cross{EXPEXPAN}{associates?} \\
+\cross{EXPEXPAN}{abs} &
+\cross{EXPEXPAN}{ceiling} &
+\cross{EXPEXPAN}{characteristic} \\
+\cross{EXPEXPAN}{charthRoot} &
+\cross{EXPEXPAN}{coerce} &
+\cross{EXPEXPAN}{conditionP} \\
+\cross{EXPEXPAN}{convert} &
+\cross{EXPEXPAN}{D} &
+\cross{EXPEXPAN}{denom} \\
+\cross{EXPEXPAN}{denominator} &
+\cross{EXPEXPAN}{differentiate} &
+\cross{EXPEXPAN}{divide} \\
+\cross{EXPEXPAN}{euclideanSize} &
+\cross{EXPEXPAN}{eval} &
+\cross{EXPEXPAN}{expressIdealMember} \\
+\cross{EXPEXPAN}{exquo} &
+\cross{EXPEXPAN}{extendedEuclidean} &
+\cross{EXPEXPAN}{factor} \\
+\cross{EXPEXPAN}{factorPolynomial} &
+\cross{EXPEXPAN}{factorSquareFreePolynomial} &
+\cross{EXPEXPAN}{floor} \\
+\cross{EXPEXPAN}{fractionPart} &
+\cross{EXPEXPAN}{gcd} &
+\cross{EXPEXPAN}{gcdPolynomial} \\
+\cross{EXPEXPAN}{hash} &
+\cross{EXPEXPAN}{init} &
+\cross{EXPEXPAN}{inv} \\
+\cross{EXPEXPAN}{latex} &
+\cross{EXPEXPAN}{lcm} &
+\cross{EXPEXPAN}{limitPlus} \\
+\cross{EXPEXPAN}{map} &
+\cross{EXPEXPAN}{max} &
+\cross{EXPEXPAN}{min} \\
+\cross{EXPEXPAN}{multiEuclidean} &
+\cross{EXPEXPAN}{negative?} &
+\cross{EXPEXPAN}{nextItem} \\
+\cross{EXPEXPAN}{numer} &
+\cross{EXPEXPAN}{numerator} &
+\cross{EXPEXPAN}{one?} \\
+\cross{EXPEXPAN}{patternMatch} &
+\cross{EXPEXPAN}{positive?} &
+\cross{EXPEXPAN}{prime?} \\
+\cross{EXPEXPAN}{principalIdeal} &
+\cross{EXPEXPAN}{random} &
+\cross{EXPEXPAN}{recip} \\
+\cross{EXPEXPAN}{reducedSystem} &
+\cross{EXPEXPAN}{retract} &
+\cross{EXPEXPAN}{retractIfCan} \\
+\cross{EXPEXPAN}{sample} &
+\cross{EXPEXPAN}{sign} &
+\cross{EXPEXPAN}{sizeLess?} \\
+\cross{EXPEXPAN}{solveLinearPolynomialEquation} &
+\cross{EXPEXPAN}{squareFree} &
+\cross{EXPEXPAN}{squareFreePart} \\
+\cross{EXPEXPAN}{squareFreePolynomial} &
+\cross{EXPEXPAN}{subtractIfCan} &
+\cross{EXPEXPAN}{unit?} \\
+\cross{EXPEXPAN}{unitCanonical} &
+\cross{EXPEXPAN}{unitNormal} &
+\cross{EXPEXPAN}{wholePart} \\
+\cross{EXPEXPAN}{zero?} &
+\cross{EXPEXPAN}{?*?} &
+\cross{EXPEXPAN}{?**?} \\
+\cross{EXPEXPAN}{?+?} &
+\cross{EXPEXPAN}{?-?} &
+\cross{EXPEXPAN}{-?} \\
+\cross{EXPEXPAN}{?/?} &
+\cross{EXPEXPAN}{?=?} &
+\cross{EXPEXPAN}{?\^{}?} \\
+\cross{EXPEXPAN}{?\~{}=?} &
+\cross{EXPEXPAN}{?$<$?} &
+\cross{EXPEXPAN}{?$<=$?} \\
+\cross{EXPEXPAN}{?$>$?} &
+\cross{EXPEXPAN}{?$>=$?} &
+\cross{EXPEXPAN}{?.?} \\
+\cross{EXPEXPAN}{?quo?} &
+\cross{EXPEXPAN}{?rem?} &
+\end{tabular}
+
 <<domain EXPEXPAN ExponentialExpansion>>=
 )abbrev domain EXPEXPAN ExponentialExpansion
 ++ Author: Clifton J. Williamson
@@ -23743,6 +23979,166 @@ o )show Expression
 \pagepic{ps/v103expression.ps}{EXPR}{1.00}
 {\bf See}\\
 \pageto{Pi}{HACKPI}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{EXPR}{0} &
+\cross{EXPR}{1} &
+\cross{EXPR}{abs} &
+\cross{EXPR}{acos} \\
+\cross{EXPR}{acosh} &
+\cross{EXPR}{acot} &
+\cross{EXPR}{acoth} &
+\cross{EXPR}{acsc} \\
+\cross{EXPR}{acsch} &
+\cross{EXPR}{airyAi} &
+\cross{EXPR}{airyBi} &
+\cross{EXPR}{applyQuote} \\
+\cross{EXPR}{asec} &
+\cross{EXPR}{asech} &
+\cross{EXPR}{asin} &
+\cross{EXPR}{asinh} \\
+\cross{EXPR}{associates?} &
+\cross{EXPR}{atan} &
+\cross{EXPR}{atanh} &
+\cross{EXPR}{belong?} \\
+\cross{EXPR}{besselI} &
+\cross{EXPR}{besselJ} &
+\cross{EXPR}{besselK} &
+\cross{EXPR}{besselY} \\
+\cross{EXPR}{Beta} &
+\cross{EXPR}{binomial} &
+\cross{EXPR}{box} &
+\cross{EXPR}{characteristic} \\
+\cross{EXPR}{charthRoot} &
+\cross{EXPR}{Ci} &
+\cross{EXPR}{coerce} &
+\cross{EXPR}{commutator} \\
+\cross{EXPR}{conjugate} &
+\cross{EXPR}{convert} &
+\cross{EXPR}{cos} &
+\cross{EXPR}{cosh} \\
+\cross{EXPR}{cot} &
+\cross{EXPR}{coth} &
+\cross{EXPR}{csc} &
+\cross{EXPR}{csch} \\
+\cross{EXPR}{D} &
+\cross{EXPR}{definingPolynomial} &
+\cross{EXPR}{denom} &
+\cross{EXPR}{denominator} \\
+\cross{EXPR}{differentiate} &
+\cross{EXPR}{digamma} &
+\cross{EXPR}{dilog} &
+\cross{EXPR}{distribute} \\
+\cross{EXPR}{divide} &
+\cross{EXPR}{Ei} &
+\cross{EXPR}{elt} &
+\cross{EXPR}{erf} \\
+\cross{EXPR}{euclideanSize} &
+\cross{EXPR}{eval} &
+\cross{EXPR}{even?} &
+\cross{EXPR}{exp} \\
+\cross{EXPR}{expressIdealMember} &
+\cross{EXPR}{exquo} &
+\cross{EXPR}{extendedEuclidean} &
+\cross{EXPR}{factor} \\
+\cross{EXPR}{factorPolynomial} &
+\cross{EXPR}{factorial} &
+\cross{EXPR}{factorials} &
+\cross{EXPR}{freeOf?} \\
+\cross{EXPR}{Gamma} &
+\cross{EXPR}{gcd} &
+\cross{EXPR}{gcdPolynomial} &
+\cross{EXPR}{ground} \\
+\cross{EXPR}{ground?} &
+\cross{EXPR}{hash} &
+\cross{EXPR}{height} &
+\cross{EXPR}{integral} \\
+\cross{EXPR}{inv} &
+\cross{EXPR}{is?} &
+\cross{EXPR}{isExpt} &
+\cross{EXPR}{isMult} \\
+\cross{EXPR}{isPlus} &
+\cross{EXPR}{isPower} &
+\cross{EXPR}{isTimes} &
+\cross{EXPR}{kernel} \\
+\cross{EXPR}{kernels} &
+\cross{EXPR}{latex} &
+\cross{EXPR}{lcm} &
+\cross{EXPR}{li} \\
+\cross{EXPR}{log} &
+\cross{EXPR}{mainKernel} &
+\cross{EXPR}{map} &
+\cross{EXPR}{max} \\
+\cross{EXPR}{min} &
+\cross{EXPR}{minPoly} &
+\cross{EXPR}{multiEuclidean} &
+\cross{EXPR}{nthRoot} \\
+\cross{EXPR}{number?} &
+\cross{EXPR}{numer} &
+\cross{EXPR}{numerator} &
+\cross{EXPR}{odd?} \\
+\cross{EXPR}{one?} &
+\cross{EXPR}{operator} &
+\cross{EXPR}{operators} &
+\cross{EXPR}{paren} \\
+\cross{EXPR}{patternMatch} &
+\cross{EXPR}{permutation} &
+\cross{EXPR}{pi} &
+\cross{EXPR}{polygamma} \\
+\cross{EXPR}{prime?} &
+\cross{EXPR}{principalIdeal} &
+\cross{EXPR}{product} &
+\cross{EXPR}{recip} \\
+\cross{EXPR}{reduce} &
+\cross{EXPR}{reducedSystem} &
+\cross{EXPR}{retract} &
+\cross{EXPR}{retractIfCan} \\
+\cross{EXPR}{rootOf} &
+\cross{EXPR}{rootsOf} &
+\cross{EXPR}{sample} &
+\cross{EXPR}{sec} \\
+\cross{EXPR}{sech} &
+\cross{EXPR}{Si} &
+\cross{EXPR}{simplifyPower} &
+\cross{EXPR}{sin} \\
+\cross{EXPR}{sinh} &
+\cross{EXPR}{sizeLess?} &
+\cross{EXPR}{sqrt} &
+\cross{EXPR}{squareFree} \\
+\cross{EXPR}{squareFreePart} &
+\cross{EXPR}{squareFreePolynomial} &
+\cross{EXPR}{subst} &
+\cross{EXPR}{subtractIfCan} \\
+\cross{EXPR}{summation} &
+\cross{EXPR}{tan} &
+\cross{EXPR}{tanh} &
+\cross{EXPR}{tower} \\
+\cross{EXPR}{unit?} &
+\cross{EXPR}{unitCanonical} &
+\cross{EXPR}{unitNormal} &
+\cross{EXPR}{univariate} \\
+\cross{EXPR}{variables} &
+\cross{EXPR}{zero?} &
+\cross{EXPR}{zeroOf} &
+\cross{EXPR}{zerosOf} \\
+\cross{EXPR}{?$<$?} &
+\cross{EXPR}{?$<=$?} &
+\cross{EXPR}{?=?} &
+\cross{EXPR}{?$>$?} \\
+\cross{EXPR}{?$>=$?} &
+\cross{EXPR}{?\~{}=?} &
+\cross{EXPR}{?*?} &
+\cross{EXPR}{?**?} \\
+\cross{EXPR}{?+?} &
+\cross{EXPR}{-?} &
+\cross{EXPR}{?-?} &
+\cross{EXPR}{?/?} \\
+\cross{EXPR}{?\^{}?} &
+\cross{EXPR}{?quo?} &
+\cross{EXPR}{?rem?} &
+\end{tabular}
+
 <<domain EXPR Expression>>=
 )abbrev domain EXPR Expression
 ++ Top-level mathematical expressions
@@ -24276,6 +24672,118 @@ Expression(R:OrderedSet): Exports == Implementation where
 {\bf See}\\
 \pageto{UnivariatePuiseuxSeriesWithExponentialSingularity}{UPXSSING}
 \pageto{ExponentialExpansion}{EXPEXPAN}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{EXPUPXS}{0} &
+\cross{EXPUPXS}{1} &
+\cross{EXPUPXS}{acos} &
+\cross{EXPUPXS}{acosh} \\
+\cross{EXPUPXS}{acot} &
+\cross{EXPUPXS}{acoth} &
+\cross{EXPUPXS}{acsc} &
+\cross{EXPUPXS}{acsch} \\
+\cross{EXPUPXS}{approximate} &
+\cross{EXPUPXS}{asec} &
+\cross{EXPUPXS}{asech} &
+\cross{EXPUPXS}{asin} \\
+\cross{EXPUPXS}{asinh} &
+\cross{EXPUPXS}{associates?} &
+\cross{EXPUPXS}{atan} &
+\cross{EXPUPXS}{atanh} \\
+\cross{EXPUPXS}{center} &
+\cross{EXPUPXS}{characteristic} &
+\cross{EXPUPXS}{charthRoot} &
+\cross{EXPUPXS}{coefficient} \\
+\cross{EXPUPXS}{coerce} &
+\cross{EXPUPXS}{complete} &
+\cross{EXPUPXS}{cos} &
+\cross{EXPUPXS}{cosh} \\
+\cross{EXPUPXS}{cot} &
+\cross{EXPUPXS}{coth} &
+\cross{EXPUPXS}{csc} &
+\cross{EXPUPXS}{csch} \\
+\cross{EXPUPXS}{D} &
+\cross{EXPUPXS}{degree} &
+\cross{EXPUPXS}{differentiate} &
+\cross{EXPUPXS}{divide} \\
+\cross{EXPUPXS}{euclideanSize} &
+\cross{EXPUPXS}{eval} &
+\cross{EXPUPXS}{exp} &
+\cross{EXPUPXS}{exponent} \\
+\cross{EXPUPXS}{exponential} &
+\cross{EXPUPXS}{exponentialOrder} &
+\cross{EXPUPXS}{expressIdealMember} &
+\cross{EXPUPXS}{exquo} \\
+\cross{EXPUPXS}{extend} &
+\cross{EXPUPXS}{extendedEuclidean} &
+\cross{EXPUPXS}{factor} &
+\cross{EXPUPXS}{gcd} \\
+\cross{EXPUPXS}{gcdPolynomial} &
+\cross{EXPUPXS}{hash} &
+\cross{EXPUPXS}{integrate} &
+\cross{EXPUPXS}{inv} \\
+\cross{EXPUPXS}{latex} &
+\cross{EXPUPXS}{lcm} &
+\cross{EXPUPXS}{leadingCoefficient} &
+\cross{EXPUPXS}{leadingMonomial} \\
+\cross{EXPUPXS}{log} &
+\cross{EXPUPXS}{map} &
+\cross{EXPUPXS}{max} &
+\cross{EXPUPXS}{min} \\
+\cross{EXPUPXS}{monomial} &
+\cross{EXPUPXS}{monomial?} &
+\cross{EXPUPXS}{multiEuclidean} &
+\cross{EXPUPXS}{multiplyExponents} \\
+\cross{EXPUPXS}{multiplyExponents} &
+\cross{EXPUPXS}{nthRoot} &
+\cross{EXPUPXS}{one?} &
+\cross{EXPUPXS}{order} \\
+\cross{EXPUPXS}{pi} &
+\cross{EXPUPXS}{pole?} &
+\cross{EXPUPXS}{prime?} &
+\cross{EXPUPXS}{principalIdeal} \\
+\cross{EXPUPXS}{recip} &
+\cross{EXPUPXS}{reductum} &
+\cross{EXPUPXS}{sample} &
+\cross{EXPUPXS}{sec} \\
+\cross{EXPUPXS}{sech} &
+\cross{EXPUPXS}{series} &
+\cross{EXPUPXS}{sin} &
+\cross{EXPUPXS}{sinh} \\
+\cross{EXPUPXS}{sizeLess?} &
+\cross{EXPUPXS}{sqrt} &
+\cross{EXPUPXS}{squareFree} &
+\cross{EXPUPXS}{squareFreePart} \\
+\cross{EXPUPXS}{subtractIfCan} &
+\cross{EXPUPXS}{tan} &
+\cross{EXPUPXS}{tanh} &
+\cross{EXPUPXS}{terms} \\
+\cross{EXPUPXS}{truncate} &
+\cross{EXPUPXS}{unit?} &
+\cross{EXPUPXS}{unitCanonical} &
+\cross{EXPUPXS}{unitNormal} \\
+\cross{EXPUPXS}{variable} &
+\cross{EXPUPXS}{variables} &
+\cross{EXPUPXS}{zero?} &
+\cross{EXPUPXS}{?*?} \\
+\cross{EXPUPXS}{?**?} &
+\cross{EXPUPXS}{?+?} &
+\cross{EXPUPXS}{?-?} &
+\cross{EXPUPXS}{-?} \\
+\cross{EXPUPXS}{?$<$?} &
+\cross{EXPUPXS}{?$<=$?} &
+\cross{EXPUPXS}{?=?} &
+\cross{EXPUPXS}{?$>$?} \\
+\cross{EXPUPXS}{?$>=$?} &
+\cross{EXPUPXS}{?\^{}?} &
+\cross{EXPUPXS}{?.?} &
+\cross{EXPUPXS}{?\~{}=?} \\
+\cross{EXPUPXS}{?/?} &
+\cross{EXPUPXS}{?quo?} &
+\cross{EXPUPXS}{?rem?} &
+\end{tabular}
+
 <<domain EXPUPXS ExponentialOfUnivariatePuiseuxSeries>>=
 )abbrev domain EXPUPXS ExponentialOfUnivariatePuiseuxSeries
 ++ Author: Clifton J. Williamson
@@ -24360,6 +24868,25 @@ ExponentialOfUnivariatePuiseuxSeries(FE,var,cen):_
 {\bf See}\\
 \pageto{AntiSymm}{ANTISYM}
 \pageto{DeRhamComplex}{DERHAM}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{EAB}{coerce} &
+\cross{EAB}{degree} &
+\cross{EAB}{exponents} &
+\cross{EAB}{hash} &
+\cross{EAB}{latex} \\
+\cross{EAB}{max} &
+\cross{EAB}{min} &
+\cross{EAB}{Nul} &
+\cross{EAB}{?\~{}=?} &
+\cross{EAB}{?$<$?} \\
+\cross{EAB}{?$<=$?} &
+\cross{EAB}{?=?} &
+\cross{EAB}{?$>$?} &
+\cross{EAB}{?$>=$?} &
+\end{tabular}
+
 <<domain EAB ExtAlgBasis>>=
 )abbrev domain EAB ExtAlgBasis
 --% ExtAlgBasis
@@ -24460,6 +24987,18 @@ ExtAlgBasis(): Export == Implement where
 \pageto{E04MBFA}{e04mbfAnnaType}
 \pageto{E04NAFA}{e04nafAnnaType}
 \pageto{E04UCFA}{e04ucfAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04DGFA}{coerce} &
+\cross{E04DGFA}{hash} &
+\cross{E04DGFA}{latex} &
+\cross{E04DGFA}{measure} &
+\cross{E04DGFA}{numericalOptimization} &
+\cross{E04DGFA}{?=?} &
+\cross{E04DGFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04DGFA e04dgfAnnaType>>=
 )abbrev domain E04DGFA e04dgfAnnaType
 ++ Author: Brian Dupee
@@ -24547,6 +25086,18 @@ e04dgfAnnaType(): NumericalOptimizationCategory == Result add
 \pageto{E04MBFA}{e04mbfAnnaType}
 \pageto{E04NAFA}{e04nafAnnaType}
 \pageto{E04UCFA}{e04ucfAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04FDFA}{coerce} &
+\cross{E04FDFA}{hash} &
+\cross{E04FDFA}{latex} &
+\cross{E04FDFA}{measure} &
+\cross{E04FDFA}{numericalOptimization} &
+\cross{E04FDFA}{?=?} &
+\cross{E04FDFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04FDFA e04fdfAnnaType>>=
 )abbrev domain E04FDFA e04fdfAnnaType
 ++ Author: Brian Dupee
@@ -24659,6 +25210,18 @@ e04fdfAnnaType(): NumericalOptimizationCategory == Result add
 \pageto{E04MBFA}{e04mbfAnnaType}
 \pageto{E04NAFA}{e04nafAnnaType}
 \pageto{E04UCFA}{e04ucfAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04GCFA}{coerce} &
+\cross{E04GCFA}{hash} &
+\cross{E04GCFA}{latex} &
+\cross{E04GCFA}{measure} &
+\cross{E04GCFA}{numericalOptimization} &
+\cross{E04GCFA}{?=?} &
+\cross{E04GCFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04GCFA e04gcfAnnaType>>=
 )abbrev domain E04GCFA e04gcfAnnaType
 ++ Author: Brian Dupee
@@ -24787,6 +25350,18 @@ e04gcfAnnaType(): NumericalOptimizationCategory == Result add
 \pageto{E04MBFA}{e04mbfAnnaType}
 \pageto{E04NAFA}{e04nafAnnaType}
 \pageto{E04UCFA}{e04ucfAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04JAFA}{coerce} &
+\cross{E04JAFA}{hash} &
+\cross{E04JAFA}{latex} &
+\cross{E04JAFA}{measure} &
+\cross{E04JAFA}{numericalOptimization} &
+\cross{E04JAFA}{?=?} &
+\cross{E04JAFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04JAFA e04jafAnnaType>>=
 )abbrev domain E04JAFA e04jafAnnaType
 ++ Author: Brian Dupee
@@ -24890,6 +25465,18 @@ e04jafAnnaType(): NumericalOptimizationCategory == Result add
 \pageto{E04JAFA}{e04jafAnnaType}
 \pageto{E04NAFA}{e04nafAnnaType}
 \pageto{E04UCFA}{e04ucfAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04MBFA}{coerce} &
+\cross{E04MBFA}{hash} &
+\cross{E04MBFA}{latex} &
+\cross{E04MBFA}{measure} &
+\cross{E04MBFA}{numericalOptimization} &
+\cross{E04MBFA}{?=?} &
+\cross{E04MBFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04MBFA e04mbfAnnaType>>=
 )abbrev domain E04MBFA e04mbfAnnaType
 ++ Author: Brian Dupee
@@ -24979,6 +25566,18 @@ e04mbfAnnaType(): NumericalOptimizationCategory == Result add
 \pageto{E04JAFA}{e04jafAnnaType}
 \pageto{E04MBFA}{e04mbfAnnaType}
 \pageto{E04UCFA}{e04ucfAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04NAFA}{coerce} &
+\cross{E04NAFA}{hash} &
+\cross{E04NAFA}{latex} &
+\cross{E04NAFA}{measure} &
+\cross{E04NAFA}{numericalOptimization} &
+\cross{E04NAFA}{?=?} &
+\cross{E04NAFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04NAFA e04nafAnnaType>>=
 )abbrev domain E04NAFA e04nafAnnaType
 ++ Author: Brian Dupee
@@ -25083,6 +25682,18 @@ e04nafAnnaType(): NumericalOptimizationCategory == Result add
 \pageto{E04JAFA}{e04jafAnnaType}
 \pageto{E04MBFA}{e04mbfAnnaType}
 \pageto{E04NAFA}{e04nafAnnaType}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllll}
+\cross{E04UCFA}{coerce} &
+\cross{E04UCFA}{hash} &
+\cross{E04UCFA}{latex} &
+\cross{E04UCFA}{measure} &
+\cross{E04UCFA}{numericalOptimization} &
+\cross{E04UCFA}{?=?} &
+\cross{E04UCFA}{?\~{}=?} 
+\end{tabular}
+
 <<domain E04UCFA e04ucfAnnaType>>=
 )abbrev domain E04UCFA e04ucfAnnaType
 ++ Author: Brian Dupee
@@ -25815,6 +26426,69 @@ o )show Factored
 @
 \pagehead{Factored}{FR}
 \pagepic{ps/v103factored.ps}{FR}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FR}{0} &
+\cross{FR}{1} &
+\cross{FR}{associates?} &
+\cross{FR}{characteristic} &
+\cross{FR}{coerce} \\
+\cross{FR}{convert} &
+\cross{FR}{D} &
+\cross{FR}{differentiate} &
+\cross{FR}{eval} &
+\cross{FR}{expand} \\
+\cross{FR}{exponent} &
+\cross{FR}{exquo} &
+\cross{FR}{factor} &
+\cross{FR}{factorList} &
+\cross{FR}{factors} \\
+\cross{FR}{flagFactor} &
+\cross{FR}{gcd} &
+\cross{FR}{gcdPolynomial} &
+\cross{FR}{hash} &
+\cross{FR}{irreducibleFactor} \\
+\cross{FR}{latex} &
+\cross{FR}{lcm} &
+\cross{FR}{makeFR} &
+\cross{FR}{map} &
+\cross{FR}{nilFactor} \\
+\cross{FR}{nthExponent} &
+\cross{FR}{nthFactor} &
+\cross{FR}{nthFlag} &
+\cross{FR}{numberOfFactors} &
+\cross{FR}{one?} \\
+\cross{FR}{prime?} &
+\cross{FR}{primeFactor} &
+\cross{FR}{rational} &
+\cross{FR}{rational?} &
+\cross{FR}{rationalIfCan} \\
+\cross{FR}{recip} &
+\cross{FR}{retract} &
+\cross{FR}{retractIfCan} &
+\cross{FR}{sample} &
+\cross{FR}{sqfrFactor} \\
+\cross{FR}{squareFree} &
+\cross{FR}{squareFreePart} &
+\cross{FR}{subtractIfCan} &
+\cross{FR}{unit} &
+\cross{FR}{unit?} \\
+\cross{FR}{unitCanonical} &
+\cross{FR}{unitNormal} &
+\cross{FR}{unitNormalize} &
+\cross{FR}{zero?} &
+\cross{FR}{?*?} \\
+\cross{FR}{?**?} &
+\cross{FR}{?+?} &
+\cross{FR}{?-?} &
+\cross{FR}{-?} &
+\cross{FR}{?=?} \\
+\cross{FR}{?\^{}?} &
+\cross{FR}{?\~{}=?} &
+\cross{FR}{?.?} &&
+\end{tabular}
+
 <<domain FR Factored>>=
 )abbrev domain FR Factored
 ++ Author: Robert S. Sutor
@@ -26576,6 +27250,24 @@ o )show File
 \pageto{BinaryFile}{BINFILE}
 \pageto{KeyedAccessFile}{KAFILE}
 \pageto{Library}{LIB}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FILE}{close!} &
+\cross{FILE}{coerce} &
+\cross{FILE}{hash} &
+\cross{FILE}{iomode} &
+\cross{FILE}{latex} \\
+\cross{FILE}{name} &
+\cross{FILE}{open} &
+\cross{FILE}{readIfCan!} &
+\cross{FILE}{read!} &
+\cross{FILE}{reopen!} \\
+\cross{FILE}{write!} &
+\cross{FILE}{?=?} &
+\cross{FILE}{?\~{}=?} &&
+\end{tabular}
+
 <<domain FILE File>>=
 )abbrev domain FILE File
 ++ Author: Stephen M. Watt, Victor Miller
@@ -26946,6 +27638,24 @@ o )show FileName
 @
 \pagehead{FileName}{FNAME}
 \pagepic{ps/v103filename.ps}{FNAME}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FNAME}{coerce} &
+\cross{FNAME}{directory} &
+\cross{FNAME}{exists?} &
+\cross{FNAME}{extension} &
+\cross{FNAME}{filename} \\
+\cross{FNAME}{hash} &
+\cross{FNAME}{latex} &
+\cross{FNAME}{name} &
+\cross{FNAME}{new} &
+\cross{FNAME}{readable?} \\
+\cross{FNAME}{writable?} &
+\cross{FNAME}{?=?} &
+\cross{FNAME}{?\~{}=?} &&
+\end{tabular}
+
 <<domain FNAME FileName>>=
 )abbrev domain FNAME FileName
 ++ Author: Stephen M. Watt
@@ -26996,6 +27706,32 @@ FileName(): FileNameCategory == add
 \pageto{FractionalIdeal}{FRIDEAL}
 \pageto{FramedModule}{FRMOD}
 \pageto{HyperellipticFiniteDivisor}{HELLFDIV}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FDIV}{0} &
+\cross{FDIV}{coerce} &
+\cross{FDIV}{decompose} &
+\cross{FDIV}{divisor} &
+\cross{FDIV}{finiteBasis} \\
+\cross{FDIV}{generator} &
+\cross{FDIV}{hash} &
+\cross{FDIV}{ideal} &
+\cross{FDIV}{lSpaceBasis} &
+\cross{FDIV}{latex} \\
+\cross{FDIV}{principal?} &
+\cross{FDIV}{reduce} &
+\cross{FDIV}{sample} &
+\cross{FDIV}{subtractIfCan} &
+\cross{FDIV}{zero?} \\
+\cross{FDIV}{?\~{}=?} &
+\cross{FDIV}{?*?} &
+\cross{FDIV}{?+?} &
+\cross{FDIV}{?-?} &
+\cross{FDIV}{-?} \\
+\cross{FDIV}{?=?} &&&&
+\end{tabular}
+
 <<domain FDIV FiniteDivisor>>=
 )abbrev domain FDIV FiniteDivisor
 ++ Finite rational divisors on a curve
@@ -27139,6 +27875,96 @@ FiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
 \pageto{FiniteFieldExtensionByPolynomial}{FFP}
 \pageto{FiniteFieldExtension}{FFX}
 \pageto{InnerFiniteField}{IFF}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FF}{0} &
+\cross{FF}{1} &
+\cross{FF}{algebraic?} \\
+\cross{FF}{associates?} &
+\cross{FF}{basis} &
+\cross{FF}{characteristic} \\
+\cross{FF}{charthRoot} &
+\cross{FF}{coerce} &
+\cross{FF}{conditionP} \\
+\cross{FF}{coordinates} &
+\cross{FF}{createNormalElement} &
+\cross{FF}{createPrimitiveElement} \\
+\cross{FF}{D} &
+\cross{FF}{definingPolynomial} &
+\cross{FF}{degree} \\
+\cross{FF}{differentiate} &
+\cross{FF}{dimension} &
+\cross{FF}{discreteLog} \\
+\cross{FF}{divide} &
+\cross{FF}{euclideanSize} &
+\cross{FF}{expressIdealMember} \\
+\cross{FF}{exquo} &
+\cross{FF}{extendedEuclidean} &
+\cross{FF}{extensionDegree} \\
+\cross{FF}{factor} &
+\cross{FF}{factorsOfCyclicGroupSize} &
+\cross{FF}{Frobenius} \\
+\cross{FF}{gcd} &
+\cross{FF}{gcdPolynomial} &
+\cross{FF}{generator} \\
+\cross{FF}{hash} &
+\cross{FF}{index} &
+\cross{FF}{inGroundField?} \\
+\cross{FF}{init} &
+\cross{FF}{inv} &
+\cross{FF}{latex} \\
+\cross{FF}{lcm} &
+\cross{FF}{linearAssociatedExp} &
+\cross{FF}{linearAssociatedLog} \\
+\cross{FF}{linearAssociatedOrder} &
+\cross{FF}{lookup} &
+\cross{FF}{minimalPolynomial} \\
+\cross{FF}{multiEuclidean} &
+\cross{FF}{nextItem} &
+\cross{FF}{norm} \\
+\cross{FF}{normal?} &
+\cross{FF}{normalElement} &
+\cross{FF}{one?} \\
+\cross{FF}{order} &
+\cross{FF}{prime?} &
+\cross{FF}{primeFrobenius} \\
+\cross{FF}{primitive?} &
+\cross{FF}{primitiveElement} &
+\cross{FF}{principalIdeal} \\
+\cross{FF}{random} &
+\cross{FF}{recip} &
+\cross{FF}{representationType} \\
+\cross{FF}{represents} &
+\cross{FF}{retract} &
+\cross{FF}{retractIfCan} \\
+\cross{FF}{sample} &
+\cross{FF}{size} &
+\cross{FF}{sizeLess?} \\
+\cross{FF}{squareFree} &
+\cross{FF}{squareFreePart} &
+\cross{FF}{subtractIfCan} \\
+\cross{FF}{tableForDiscreteLogarithm} &
+\cross{FF}{trace} &
+\cross{FF}{transcendenceDegree} \\
+\cross{FF}{transcendent?} &
+\cross{FF}{unit?} &
+\cross{FF}{unitCanonical} \\
+\cross{FF}{unitNormal} &
+\cross{FF}{zero?} &
+\cross{FF}{?*?} \\
+\cross{FF}{?**?} &
+\cross{FF}{?+?} &
+\cross{FF}{?-?} \\
+\cross{FF}{-?} &
+\cross{FF}{?/?} &
+\cross{FF}{?=?} \\
+\cross{FF}{?\^{}?} &
+\cross{FF}{?\~{}=?} &
+\cross{FF}{?quo?} \\
+\cross{FF}{?rem?} &&
+\end{tabular}
+
 <<domain FF FiniteField>>=
 )abbrev domain FF FiniteField
 ++ Author: ???
@@ -27181,6 +28007,97 @@ FiniteField(p:PositiveInteger, n:PositiveInteger): _
 {\bf See}\\
 \pageto{FiniteFieldCyclicGroupExtensionByPolynomial}{FFCGP}
 \pageto{FiniteFieldCyclicGroupExtension}{FFCGX}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFCG}{0} &
+\cross{FFCG}{1} &
+\cross{FFCG}{algebraic?} \\
+\cross{FFCG}{associates?} &
+\cross{FFCG}{basis} &
+\cross{FFCG}{characteristic} \\
+\cross{FFCG}{charthRoot} &
+\cross{FFCG}{coerce} &
+\cross{FFCG}{conditionP} \\
+\cross{FFCG}{coordinates} &
+\cross{FFCG}{createNormalElement} &
+\cross{FFCG}{createPrimitiveElement} \\
+\cross{FFCG}{D} &
+\cross{FFCG}{definingPolynomial} &
+\cross{FFCG}{degree} \\
+\cross{FFCG}{differentiate} &
+\cross{FFCG}{dimension} &
+\cross{FFCG}{discreteLog} \\
+\cross{FFCG}{divide} &
+\cross{FFCG}{euclideanSize} &
+\cross{FFCG}{expressIdealMember} \\
+\cross{FFCG}{exquo} &
+\cross{FFCG}{extendedEuclidean} &
+\cross{FFCG}{extensionDegree} \\
+\cross{FFCG}{factor} &
+\cross{FFCG}{factorsOfCyclicGroupSize} &
+\cross{FFCG}{Frobenius} \\
+\cross{FFCG}{gcd} &
+\cross{FFCG}{gcdPolynomial} &
+\cross{FFCG}{generator} \\
+\cross{FFCG}{getZechTable} &
+\cross{FFCG}{hash} &
+\cross{FFCG}{index} \\
+\cross{FFCG}{inGroundField?} &
+\cross{FFCG}{init} &
+\cross{FFCG}{inv} \\
+\cross{FFCG}{latex} &
+\cross{FFCG}{lcm} &
+\cross{FFCG}{linearAssociatedExp} \\
+\cross{FFCG}{linearAssociatedLog} &
+\cross{FFCG}{linearAssociatedOrder} &
+\cross{FFCG}{lookup} \\
+\cross{FFCG}{minimalPolynomial} &
+\cross{FFCG}{multiEuclidean} &
+\cross{FFCG}{nextItem} \\
+\cross{FFCG}{norm} &
+\cross{FFCG}{normal?} &
+\cross{FFCG}{normalElement} \\
+\cross{FFCG}{one?} &
+\cross{FFCG}{order} &
+\cross{FFCG}{prime?} \\
+\cross{FFCG}{primeFrobenius} &
+\cross{FFCG}{primitive?} &
+\cross{FFCG}{primitiveElement} \\
+\cross{FFCG}{principalIdeal} &
+\cross{FFCG}{random} &
+\cross{FFCG}{recip} \\
+\cross{FFCG}{representationType} &
+\cross{FFCG}{represents} &
+\cross{FFCG}{retract} \\
+\cross{FFCG}{retractIfCan} &
+\cross{FFCG}{sample} &
+\cross{FFCG}{size} \\
+\cross{FFCG}{sizeLess?} &
+\cross{FFCG}{squareFree} &
+\cross{FFCG}{squareFreePart} \\
+\cross{FFCG}{subtractIfCan} &
+\cross{FFCG}{tableForDiscreteLogarithm} &
+\cross{FFCG}{trace} \\
+\cross{FFCG}{transcendenceDegree} &
+\cross{FFCG}{transcendent?} &
+\cross{FFCG}{unit?} \\
+\cross{FFCG}{unitCanonical} &
+\cross{FFCG}{unitNormal} &
+\cross{FFCG}{zero?} \\
+\cross{FFCG}{?*?} &
+\cross{FFCG}{?**?} &
+\cross{FFCG}{?+?} \\
+\cross{FFCG}{?-?} &
+\cross{FFCG}{-?} &
+\cross{FFCG}{?/?} \\
+\cross{FFCG}{?=?} &
+\cross{FFCG}{?\^{}?} &
+\cross{FFCG}{?\~{}=?} \\
+\cross{FFCG}{?quo?} &
+\cross{FFCG}{?rem?} &
+\end{tabular}
+
 <<domain FFCG FiniteFieldCyclicGroup>>=
 )abbrev domain FFCG FiniteFieldCyclicGroup
 ++ Authors: J.Grabmeier, A.Scheerhorn
@@ -27234,6 +28151,97 @@ FiniteFieldCyclicGroup(p,extdeg):_
 {\bf See}\\
 \pageto{FiniteFieldCyclicGroupExtensionByPolynomial}{FFCGP}
 \pageto{FiniteFieldCyclicGroup}{FFCG}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFCGX}{0} &
+\cross{FFCGX}{1} &
+\cross{FFCGX}{algebraic?} \\
+\cross{FFCGX}{associates?} &
+\cross{FFCGX}{basis} &
+\cross{FFCGX}{characteristic} \\
+\cross{FFCGX}{charthRoot} &
+\cross{FFCGX}{coerce} &
+\cross{FFCGX}{conditionP} \\
+\cross{FFCGX}{coordinates} &
+\cross{FFCGX}{createNormalElement} &
+\cross{FFCGX}{createPrimitiveElement} \\
+\cross{FFCGX}{D} &
+\cross{FFCGX}{definingPolynomial} &
+\cross{FFCGX}{degree} \\
+\cross{FFCGX}{differentiate} &
+\cross{FFCGX}{dimension} &
+\cross{FFCGX}{discreteLog} \\
+\cross{FFCGX}{divide} &
+\cross{FFCGX}{euclideanSize} &
+\cross{FFCGX}{expressIdealMember} \\
+\cross{FFCGX}{exquo} &
+\cross{FFCGX}{extendedEuclidean} &
+\cross{FFCGX}{extensionDegree} \\
+\cross{FFCGX}{factor} &
+\cross{FFCGX}{factorsOfCyclicGroupSize} &
+\cross{FFCGX}{Frobenius} \\
+\cross{FFCGX}{gcd} &
+\cross{FFCGX}{gcdPolynomial} &
+\cross{FFCGX}{generator} \\
+\cross{FFCGX}{getZechTable} &
+\cross{FFCGX}{hash} &
+\cross{FFCGX}{index} \\
+\cross{FFCGX}{inGroundField?} &
+\cross{FFCGX}{init} &
+\cross{FFCGX}{inv} \\
+\cross{FFCGX}{latex} &
+\cross{FFCGX}{lcm} &
+\cross{FFCGX}{linearAssociatedExp} \\
+\cross{FFCGX}{linearAssociatedLog} &
+\cross{FFCGX}{linearAssociatedOrder} &
+\cross{FFCGX}{lookup} \\
+\cross{FFCGX}{minimalPolynomial} &
+\cross{FFCGX}{multiEuclidean} &
+\cross{FFCGX}{nextItem} \\
+\cross{FFCGX}{norm} &
+\cross{FFCGX}{normal?} &
+\cross{FFCGX}{normalElement} \\
+\cross{FFCGX}{one?} &
+\cross{FFCGX}{order} &
+\cross{FFCGX}{prime?} \\
+\cross{FFCGX}{primeFrobenius} &
+\cross{FFCGX}{primitive?} &
+\cross{FFCGX}{primitiveElement} \\
+\cross{FFCGX}{principalIdeal} &
+\cross{FFCGX}{random} &
+\cross{FFCGX}{recip} \\
+\cross{FFCGX}{representationType} &
+\cross{FFCGX}{represents} &
+\cross{FFCGX}{retract} \\
+\cross{FFCGX}{retractIfCan} &
+\cross{FFCGX}{sample} &
+\cross{FFCGX}{size} \\
+\cross{FFCGX}{sizeLess?} &
+\cross{FFCGX}{squareFree} &
+\cross{FFCGX}{squareFreePart} \\
+\cross{FFCGX}{subtractIfCan} &
+\cross{FFCGX}{tableForDiscreteLogarithm} &
+\cross{FFCGX}{trace} \\
+\cross{FFCGX}{transcendenceDegree} &
+\cross{FFCGX}{transcendent?} &
+\cross{FFCGX}{unit?} \\
+\cross{FFCGX}{unitCanonical} &
+\cross{FFCGX}{unitNormal} &
+\cross{FFCGX}{zero?} \\
+\cross{FFCGX}{?*?} &
+\cross{FFCGX}{?**?} &
+\cross{FFCGX}{?+?} \\
+\cross{FFCGX}{?-?} &
+\cross{FFCGX}{-?} &
+\cross{FFCGX}{?/?} \\
+\cross{FFCGX}{?=?} &
+\cross{FFCGX}{?\^{}?} &
+\cross{FFCGX}{?\~{}=?} \\
+\cross{FFCGX}{?quo?} &
+\cross{FFCGX}{?rem?} &
+\end{tabular}
+
 <<domain FFCGX FiniteFieldCyclicGroupExtension>>=
 )abbrev domain FFCGX FiniteFieldCyclicGroupExtension
 ++ Authors: J.Grabmeier, A.Scheerhorn
@@ -27290,6 +28298,97 @@ FiniteFieldCyclicGroupExtension(GF,extdeg):_
 {\bf See}\\
 \pageto{FiniteFieldCyclicGroupExtension}{FFCGX}
 \pageto{FiniteFieldCyclicGroup}{FFCG}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFCGP}{0} &
+\cross{FFCGP}{1} &
+\cross{FFCGP}{algebraic?} \\
+\cross{FFCGP}{associates?} &
+\cross{FFCGP}{basis} &
+\cross{FFCGP}{characteristic} \\
+\cross{FFCGP}{charthRoot} &
+\cross{FFCGP}{coerce} &
+\cross{FFCGP}{conditionP} \\
+\cross{FFCGP}{coordinates} &
+\cross{FFCGP}{createNormalElement} &
+\cross{FFCGP}{createPrimitiveElement} \\
+\cross{FFCGP}{D} &
+\cross{FFCGP}{definingPolynomial} &
+\cross{FFCGP}{degree} \\
+\cross{FFCGP}{differentiate} &
+\cross{FFCGP}{dimension} &
+\cross{FFCGP}{discreteLog} \\
+\cross{FFCGP}{divide} &
+\cross{FFCGP}{euclideanSize} &
+\cross{FFCGP}{expressIdealMember} \\
+\cross{FFCGP}{exquo} &
+\cross{FFCGP}{extendedEuclidean} &
+\cross{FFCGP}{extensionDegree} \\
+\cross{FFCGP}{factor} &
+\cross{FFCGP}{factorsOfCyclicGroupSize} &
+\cross{FFCGP}{Frobenius} \\
+\cross{FFCGP}{gcd} &
+\cross{FFCGP}{gcdPolynomial} &
+\cross{FFCGP}{generator} \\
+\cross{FFCGP}{getZechTable} &
+\cross{FFCGP}{hash} &
+\cross{FFCGP}{index} \\
+\cross{FFCGP}{inGroundField?} &
+\cross{FFCGP}{init} &
+\cross{FFCGP}{inv} \\
+\cross{FFCGP}{latex} &
+\cross{FFCGP}{lcm} &
+\cross{FFCGP}{linearAssociatedExp} \\
+\cross{FFCGP}{linearAssociatedLog} &
+\cross{FFCGP}{linearAssociatedOrder} &
+\cross{FFCGP}{lookup} \\
+\cross{FFCGP}{minimalPolynomial} &
+\cross{FFCGP}{multiEuclidean} &
+\cross{FFCGP}{nextItem} \\
+\cross{FFCGP}{norm} &
+\cross{FFCGP}{normal?} &
+\cross{FFCGP}{normalElement} \\
+\cross{FFCGP}{one?} &
+\cross{FFCGP}{order} &
+\cross{FFCGP}{prime?} \\
+\cross{FFCGP}{primeFrobenius} &
+\cross{FFCGP}{primitive?} &
+\cross{FFCGP}{primitiveElement} \\
+\cross{FFCGP}{principalIdeal} &
+\cross{FFCGP}{random} &
+\cross{FFCGP}{recip} \\
+\cross{FFCGP}{representationType} &
+\cross{FFCGP}{represents} &
+\cross{FFCGP}{retract} \\
+\cross{FFCGP}{retractIfCan} &
+\cross{FFCGP}{sample} &
+\cross{FFCGP}{size} \\
+\cross{FFCGP}{sizeLess?} &
+\cross{FFCGP}{squareFree} &
+\cross{FFCGP}{squareFreePart} \\
+\cross{FFCGP}{subtractIfCan} &
+\cross{FFCGP}{tableForDiscreteLogarithm} &
+\cross{FFCGP}{trace} \\
+\cross{FFCGP}{transcendenceDegree} &
+\cross{FFCGP}{transcendent?} &
+\cross{FFCGP}{unit?} \\
+\cross{FFCGP}{unitCanonical} &
+\cross{FFCGP}{unitNormal} &
+\cross{FFCGP}{zero?} \\
+\cross{FFCGP}{?*?} &
+\cross{FFCGP}{?**?} &
+\cross{FFCGP}{?+?} \\
+\cross{FFCGP}{?-?} &
+\cross{FFCGP}{-?} &
+\cross{FFCGP}{?/?} \\
+\cross{FFCGP}{?=?} &
+\cross{FFCGP}{?\^{}?} &
+\cross{FFCGP}{?\~{}=?} \\
+\cross{FFCGP}{?quo?} &
+\cross{FFCGP}{?rem?} &
+\end{tabular}
+
 <<domain FFCGP FiniteFieldCyclicGroupExtensionByPolynomial>>=
 )abbrev domain FFCGP FiniteFieldCyclicGroupExtensionByPolynomial
 ++ Authors: J.Grabmeier, A.Scheerhorn
@@ -27613,6 +28712,96 @@ FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol):_
 \pageto{FiniteFieldExtensionByPolynomial}{FFP}
 \pageto{InnerFiniteField}{IFF}
 \pageto{FiniteField}{FF}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFX}{0} &
+\cross{FFX}{1} &
+\cross{FFX}{algebraic?} \\
+\cross{FFX}{associates?} &
+\cross{FFX}{basis} &
+\cross{FFX}{characteristic} \\
+\cross{FFX}{charthRoot} &
+\cross{FFX}{coerce} &
+\cross{FFX}{conditionP} \\
+\cross{FFX}{coordinates} &
+\cross{FFX}{createNormalElement} &
+\cross{FFX}{createPrimitiveElement} \\
+\cross{FFX}{D} &
+\cross{FFX}{definingPolynomial} &
+\cross{FFX}{degree} \\
+\cross{FFX}{differentiate} &
+\cross{FFX}{dimension} &
+\cross{FFX}{discreteLog} \\
+\cross{FFX}{divide} &
+\cross{FFX}{euclideanSize} &
+\cross{FFX}{expressIdealMember} \\
+\cross{FFX}{exquo} &
+\cross{FFX}{extendedEuclidean} &
+\cross{FFX}{extensionDegree} \\
+\cross{FFX}{factor} &
+\cross{FFX}{factorsOfCyclicGroupSize} &
+\cross{FFX}{Frobenius} \\
+\cross{FFX}{gcd} &
+\cross{FFX}{gcdPolynomial} &
+\cross{FFX}{generator} \\
+\cross{FFX}{hash} &
+\cross{FFX}{index} &
+\cross{FFX}{inGroundField?} \\
+\cross{FFX}{init} &
+\cross{FFX}{inv} &
+\cross{FFX}{latex} \\
+\cross{FFX}{lcm} &
+\cross{FFX}{linearAssociatedExp} &
+\cross{FFX}{linearAssociatedLog} \\
+\cross{FFX}{linearAssociatedOrder} &
+\cross{FFX}{lookup} &
+\cross{FFX}{minimalPolynomial} \\
+\cross{FFX}{multiEuclidean} &
+\cross{FFX}{nextItem} &
+\cross{FFX}{norm} \\
+\cross{FFX}{normal?} &
+\cross{FFX}{normalElement} &
+\cross{FFX}{one?} \\
+\cross{FFX}{order} &
+\cross{FFX}{prime?} &
+\cross{FFX}{primeFrobenius} \\
+\cross{FFX}{primitive?} &
+\cross{FFX}{primitiveElement} &
+\cross{FFX}{principalIdeal} \\
+\cross{FFX}{random} &
+\cross{FFX}{recip} &
+\cross{FFX}{representationType} \\
+\cross{FFX}{represents} &
+\cross{FFX}{retract} &
+\cross{FFX}{retractIfCan} \\
+\cross{FFX}{sample} &
+\cross{FFX}{size} &
+\cross{FFX}{sizeLess?} \\
+\cross{FFX}{squareFree} &
+\cross{FFX}{squareFreePart} &
+\cross{FFX}{subtractIfCan} \\
+\cross{FFX}{tableForDiscreteLogarithm} &
+\cross{FFX}{trace} &
+\cross{FFX}{transcendenceDegree} \\
+\cross{FFX}{transcendent?} &
+\cross{FFX}{unit?} &
+\cross{FFX}{unitCanonical} \\
+\cross{FFX}{unitNormal} &
+\cross{FFX}{zero?} &
+\cross{FFX}{?*?} \\
+\cross{FFX}{?**?} &
+\cross{FFX}{?+?} &
+\cross{FFX}{?-?} \\
+\cross{FFX}{-?} &
+\cross{FFX}{?/?} &
+\cross{FFX}{?=?} \\
+\cross{FFX}{?\^{}?} &
+\cross{FFX}{?\~{}=?} &
+\cross{FFX}{?quo?} \\
+\cross{FFX}{?rem?} &&
+\end{tabular}
+
 <<domain FFX FiniteFieldExtension>>=
 )abbrev domain FFX FiniteFieldExtension
 ++ Authors: R.Sutor, J. Grabmeier, A. Scheerhorn
@@ -27663,6 +28852,97 @@ FiniteFieldExtension(GF, n): Exports == Implementation where
 \pageto{FiniteFieldExtension}{FFX}
 \pageto{InnerFiniteField}{IFF}
 \pageto{FiniteField}{FF}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFP}{0} &
+\cross{FFP}{1} &
+\cross{FFP}{algebraic?} \\
+\cross{FFP}{associates?} &
+\cross{FFP}{basis} &
+\cross{FFP}{characteristic} \\
+\cross{FFP}{charthRoot} &
+\cross{FFP}{coerce} &
+\cross{FFP}{conditionP} \\
+\cross{FFP}{coordinates} &
+\cross{FFP}{createNormalElement} &
+\cross{FFP}{createPrimitiveElement} \\
+\cross{FFP}{D} &
+\cross{FFP}{definingPolynomial} &
+\cross{FFP}{degree} \\
+\cross{FFP}{differentiate} &
+\cross{FFP}{dimension} &
+\cross{FFP}{discreteLog} \\
+\cross{FFP}{divide} &
+\cross{FFP}{euclideanSize} &
+\cross{FFP}{expressIdealMember} \\
+\cross{FFP}{exquo} &
+\cross{FFP}{extendedEuclidean} &
+\cross{FFP}{extensionDegree} \\
+\cross{FFP}{factor} &
+\cross{FFP}{factorsOfCyclicGroupSize} &
+\cross{FFP}{Frobenius} \\
+\cross{FFP}{gcd} &
+\cross{FFP}{gcdPolynomial} &
+\cross{FFP}{generator} \\
+\cross{FFP}{hash} &
+\cross{FFP}{index} &
+\cross{FFP}{inGroundField?} \\
+\cross{FFP}{init} &
+\cross{FFP}{inv} &
+\cross{FFP}{latex} \\
+\cross{FFP}{lcm} &
+\cross{FFP}{linearAssociatedExp} &
+\cross{FFP}{linearAssociatedLog} \\
+\cross{FFP}{linearAssociatedOrder} &
+\cross{FFP}{lookup} &
+\cross{FFP}{minimalPolynomial} \\
+\cross{FFP}{multiEuclidean} &
+\cross{FFP}{nextItem} &
+\cross{FFP}{norm} \\
+\cross{FFP}{normal?} &
+\cross{FFP}{normalElement} &
+\cross{FFP}{one?} \\
+\cross{FFP}{order} &
+\cross{FFP}{prime?} &
+\cross{FFP}{primeFrobenius} \\
+\cross{FFP}{primitive?} &
+\cross{FFP}{primitiveElement} &
+\cross{FFP}{principalIdeal} \\
+\cross{FFP}{random} &
+\cross{FFP}{recip} &
+\cross{FFP}{representationType} \\
+\cross{FFP}{represents} &
+\cross{FFP}{retract} &
+\cross{FFP}{retractIfCan} \\
+\cross{FFP}{sample} &
+\cross{FFP}{size} &
+\cross{FFP}{sizeLess?} \\
+\cross{FFP}{squareFree} &
+\cross{FFP}{squareFreePart} &
+\cross{FFP}{subtractIfCan} \\
+\cross{FFP}{tableForDiscreteLogarithm} &
+\cross{FFP}{trace} &
+\cross{FFP}{transcendenceDegree} \\
+\cross{FFP}{transcendent?} &
+\cross{FFP}{unit?} &
+\cross{FFP}{unitCanonical} \\
+\cross{FFP}{unitNormal} &
+\cross{FFP}{zero?} &
+\cross{FFP}{?*?} \\
+\cross{FFP}{?**?} &
+\cross{FFP}{?+?} &
+\cross{FFP}{?-?} \\
+\cross{FFP}{-?} &
+\cross{FFP}{?/?} &
+\cross{FFP}{?/?} \\
+\cross{FFP}{?=?} &
+\cross{FFP}{?\^{}?} &
+\cross{FFP}{?\~{}=?} \\
+\cross{FFP}{?quo?} &
+\cross{FFP}{?rem?} &
+\end{tabular}
+
 <<domain FFP FiniteFieldExtensionByPolynomial>>=
 )abbrev domain FFP FiniteFieldExtensionByPolynomial
 ++ Authors: R.Sutor, J. Grabmeier, O. Gschnitzer, A. Scheerhorn
@@ -27909,6 +29189,99 @@ FiniteFieldExtensionByPolynomial(GF:FiniteFieldCategory,_
 {\bf See}\\
 \pageto{FiniteFieldNormalBasisExtensionByPolynomial}{FFNBP}
 \pageto{FiniteFieldNormalBasisExtension}{FFNBX}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFNB}{0} &
+\cross{FFNB}{1} &
+\cross{FFNB}{algebraic?} \\
+\cross{FFNB}{associates?} &
+\cross{FFNB}{basis} &
+\cross{FFNB}{characteristic} \\
+\cross{FFNB}{charthRoot} &
+\cross{FFNB}{coerce} &
+\cross{FFNB}{conditionP} \\
+\cross{FFNB}{coordinates} &
+\cross{FFNB}{createNormalElement} &
+\cross{FFNB}{createPrimitiveElement} \\
+\cross{FFNB}{D} &
+\cross{FFNB}{definingPolynomial} &
+\cross{FFNB}{degree} \\
+\cross{FFNB}{differentiate} &
+\cross{FFNB}{dimension} &
+\cross{FFNB}{discreteLog} \\
+\cross{FFNB}{divide} &
+\cross{FFNB}{euclideanSize} &
+\cross{FFNB}{expressIdealMember} \\
+\cross{FFNB}{exquo} &
+\cross{FFNB}{extendedEuclidean} &
+\cross{FFNB}{extensionDegree} \\
+\cross{FFNB}{factor} &
+\cross{FFNB}{factorsOfCyclicGroupSize} &
+\cross{FFNB}{Frobenius} \\
+\cross{FFNB}{gcd} &
+\cross{FFNB}{gcdPolynomial} &
+\cross{FFNB}{generator} \\
+\cross{FFNB}{getMultiplicationMatrix} &
+\cross{FFNB}{getMultiplicationTable} &
+\cross{FFNB}{hash} \\
+\cross{FFNB}{index} &
+\cross{FFNB}{inGroundField?} &
+\cross{FFNB}{init} \\
+\cross{FFNB}{inv} &
+\cross{FFNB}{latex} &
+\cross{FFNB}{lcm} \\
+\cross{FFNB}{linearAssociatedExp} &
+\cross{FFNB}{linearAssociatedLog} &
+\cross{FFNB}{linearAssociatedOrder} \\
+\cross{FFNB}{lookup} &
+\cross{FFNB}{minimalPolynomial} &
+\cross{FFNB}{multiEuclidean} \\
+\cross{FFNB}{nextItem} &
+\cross{FFNB}{norm} &
+\cross{FFNB}{normal?} \\
+\cross{FFNB}{normalElement} &
+\cross{FFNB}{one?} &
+\cross{FFNB}{order} \\
+\cross{FFNB}{prime?} &
+\cross{FFNB}{primeFrobenius} &
+\cross{FFNB}{primitive?} \\
+\cross{FFNB}{primitiveElement} &
+\cross{FFNB}{principalIdeal} &
+\cross{FFNB}{random} \\
+\cross{FFNB}{recip} &
+\cross{FFNB}{representationType} &
+\cross{FFNB}{represents} \\
+\cross{FFNB}{retract} &
+\cross{FFNB}{retractIfCan} &
+\cross{FFNB}{sample} \\
+\cross{FFNB}{size} &
+\cross{FFNB}{sizeLess?} &
+\cross{FFNB}{sizeMultiplication} \\
+\cross{FFNB}{squareFree} &
+\cross{FFNB}{squareFreePart} &
+\cross{FFNB}{subtractIfCan} \\
+\cross{FFNB}{tableForDiscreteLogarithm} &
+\cross{FFNB}{trace} &
+\cross{FFNB}{transcendenceDegree} \\
+\cross{FFNB}{transcendent?} &
+\cross{FFNB}{unit?} &
+\cross{FFNB}{unitCanonical} \\
+\cross{FFNB}{unitNormal} &
+\cross{FFNB}{zero?} &
+\cross{FFNB}{?*?} \\
+\cross{FFNB}{?**?} &
+\cross{FFNB}{?+?} &
+\cross{FFNB}{?-?} \\
+\cross{FFNB}{-?} &
+\cross{FFNB}{?/?} &
+\cross{FFNB}{?=?} \\
+\cross{FFNB}{?\^{}?} &
+\cross{FFNB}{?\~{}=?} &
+\cross{FFNB}{?quo?} \\
+\cross{FFNB}{?rem?} &&
+\end{tabular}
+
 <<domain FFNB FiniteFieldNormalBasis>>=
 )abbrev domain FFNB FiniteFieldNormalBasis
 ++ Authors: J.Grabmeier, A.Scheerhorn
@@ -27971,6 +29344,99 @@ FiniteFieldNormalBasis(p,extdeg):_
 {\bf See}\\
 \pageto{FiniteFieldNormalBasisExtensionByPolynomial}{FFNBP}
 \pageto{FiniteFieldNormalBasis}{FFNB}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFNBX}{0} &
+\cross{FFNBX}{1} &
+\cross{FFNBX}{algebraic?} \\
+\cross{FFNBX}{associates?} &
+\cross{FFNBX}{basis} &
+\cross{FFNBX}{characteristic} \\
+\cross{FFNBX}{charthRoot} &
+\cross{FFNBX}{coerce} &
+\cross{FFNBX}{conditionP} \\
+\cross{FFNBX}{coordinates} &
+\cross{FFNBX}{createNormalElement} &
+\cross{FFNBX}{createPrimitiveElement} \\
+\cross{FFNBX}{D} &
+\cross{FFNBX}{definingPolynomial} &
+\cross{FFNBX}{degree} \\
+\cross{FFNBX}{differentiate} &
+\cross{FFNBX}{dimension} &
+\cross{FFNBX}{discreteLog} \\
+\cross{FFNBX}{divide} &
+\cross{FFNBX}{euclideanSize} &
+\cross{FFNBX}{expressIdealMember} \\
+\cross{FFNBX}{exquo} &
+\cross{FFNBX}{extendedEuclidean} &
+\cross{FFNBX}{extensionDegree} \\
+\cross{FFNBX}{factor} &
+\cross{FFNBX}{factorsOfCyclicGroupSize} &
+\cross{FFNBX}{Frobenius} \\
+\cross{FFNBX}{gcd} &
+\cross{FFNBX}{gcdPolynomial} &
+\cross{FFNBX}{generator} \\
+\cross{FFNBX}{getMultiplicationMatrix} &
+\cross{FFNBX}{getMultiplicationTable} &
+\cross{FFNBX}{hash} \\
+\cross{FFNBX}{index} &
+\cross{FFNBX}{inGroundField?} &
+\cross{FFNBX}{init} \\
+\cross{FFNBX}{inv} &
+\cross{FFNBX}{latex} &
+\cross{FFNBX}{lcm} \\
+\cross{FFNBX}{linearAssociatedExp} &
+\cross{FFNBX}{linearAssociatedLog} &
+\cross{FFNBX}{linearAssociatedOrder} \\
+\cross{FFNBX}{lookup} &
+\cross{FFNBX}{minimalPolynomial} &
+\cross{FFNBX}{multiEuclidean} \\
+\cross{FFNBX}{nextItem} &
+\cross{FFNBX}{norm} &
+\cross{FFNBX}{normal?} \\
+\cross{FFNBX}{normalElement} &
+\cross{FFNBX}{one?} &
+\cross{FFNBX}{order} \\
+\cross{FFNBX}{prime?} &
+\cross{FFNBX}{primeFrobenius} &
+\cross{FFNBX}{primitive?} \\
+\cross{FFNBX}{primitiveElement} &
+\cross{FFNBX}{principalIdeal} &
+\cross{FFNBX}{random} \\
+\cross{FFNBX}{recip} &
+\cross{FFNBX}{representationType} &
+\cross{FFNBX}{represents} \\
+\cross{FFNBX}{retract} &
+\cross{FFNBX}{retractIfCan} &
+\cross{FFNBX}{sample} \\
+\cross{FFNBX}{size} &
+\cross{FFNBX}{sizeLess?} &
+\cross{FFNBX}{sizeMultiplication} \\
+\cross{FFNBX}{squareFree} &
+\cross{FFNBX}{squareFreePart} &
+\cross{FFNBX}{subtractIfCan} \\
+\cross{FFNBX}{tableForDiscreteLogarithm} &
+\cross{FFNBX}{trace} &
+\cross{FFNBX}{transcendenceDegree} \\
+\cross{FFNBX}{transcendent?} &
+\cross{FFNBX}{unit?} &
+\cross{FFNBX}{unitCanonical} \\
+\cross{FFNBX}{unitNormal} &
+\cross{FFNBX}{zero?} &
+\cross{FFNBX}{?*?} \\
+\cross{FFNBX}{?**?} &
+\cross{FFNBX}{?+?} &
+\cross{FFNBX}{?-?} \\
+\cross{FFNBX}{-?} &
+\cross{FFNBX}{?/?} &
+\cross{FFNBX}{?=?} \\
+\cross{FFNBX}{?\^{}?} &
+\cross{FFNBX}{?\~{}=?} &
+\cross{FFNBX}{?quo?} \\
+\cross{FFNBX}{?rem?} &&
+\end{tabular}
+
 <<domain FFNBX FiniteFieldNormalBasisExtension>>=
 )abbrev domain FFNBX FiniteFieldNormalBasisExtension
 ++ Authors: J.Grabmeier, A.Scheerhorn
@@ -28033,6 +29499,99 @@ FiniteFieldNormalBasisExtension(GF,extdeg):_
 {\bf See}\\
 \pageto{FiniteFieldNormalBasisExtension}{FFNBX}
 \pageto{FiniteFieldNormalBasis}{FFNB}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FFNBP}{0} &
+\cross{FFNBP}{1} &
+\cross{FFNBP}{algebraic?} \\
+\cross{FFNBP}{associates?} &
+\cross{FFNBP}{basis} &
+\cross{FFNBP}{characteristic} \\
+\cross{FFNBP}{charthRoot} &
+\cross{FFNBP}{coerce} &
+\cross{FFNBP}{conditionP} \\
+\cross{FFNBP}{coordinates} &
+\cross{FFNBP}{createNormalElement} &
+\cross{FFNBP}{createPrimitiveElement} \\
+\cross{FFNBP}{D} &
+\cross{FFNBP}{definingPolynomial} &
+\cross{FFNBP}{degree} \\
+\cross{FFNBP}{differentiate} &
+\cross{FFNBP}{dimension} &
+\cross{FFNBP}{discreteLog} \\
+\cross{FFNBP}{divide} &
+\cross{FFNBP}{euclideanSize} &
+\cross{FFNBP}{expressIdealMember} \\
+\cross{FFNBP}{exquo} &
+\cross{FFNBP}{extendedEuclidean} &
+\cross{FFNBP}{extensionDegree} \\
+\cross{FFNBP}{factor} &
+\cross{FFNBP}{factorsOfCyclicGroupSize} &
+\cross{FFNBP}{Frobenius} \\
+\cross{FFNBP}{gcd} &
+\cross{FFNBP}{gcdPolynomial} &
+\cross{FFNBP}{generator} \\
+\cross{FFNBP}{getMultiplicationMatrix} &
+\cross{FFNBP}{getMultiplicationTable} &
+\cross{FFNBP}{hash} \\
+\cross{FFNBP}{index} &
+\cross{FFNBP}{inGroundField?} &
+\cross{FFNBP}{init} \\
+\cross{FFNBP}{inv} &
+\cross{FFNBP}{latex} &
+\cross{FFNBP}{lcm} \\
+\cross{FFNBP}{linearAssociatedExp} &
+\cross{FFNBP}{linearAssociatedLog} &
+\cross{FFNBP}{linearAssociatedOrder} \\
+\cross{FFNBP}{lookup} &
+\cross{FFNBP}{minimalPolynomial} &
+\cross{FFNBP}{multiEuclidean} \\
+\cross{FFNBP}{nextItem} &
+\cross{FFNBP}{norm} &
+\cross{FFNBP}{normal?} \\
+\cross{FFNBP}{normalElement} &
+\cross{FFNBP}{one?} &
+\cross{FFNBP}{order} \\
+\cross{FFNBP}{prime?} &
+\cross{FFNBP}{primeFrobenius} &
+\cross{FFNBP}{primitive?} \\
+\cross{FFNBP}{primitiveElement} &
+\cross{FFNBP}{principalIdeal} &
+\cross{FFNBP}{recip} \\
+\cross{FFNBP}{random} &
+\cross{FFNBP}{representationType} &
+\cross{FFNBP}{represents} \\
+\cross{FFNBP}{retract} &
+\cross{FFNBP}{retractIfCan} &
+\cross{FFNBP}{sample} \\
+\cross{FFNBP}{size} &
+\cross{FFNBP}{sizeLess?} &
+\cross{FFNBP}{sizeMultiplication} \\
+\cross{FFNBP}{squareFree} &
+\cross{FFNBP}{squareFreePart} &
+\cross{FFNBP}{subtractIfCan} \\
+\cross{FFNBP}{tableForDiscreteLogarithm} &
+\cross{FFNBP}{trace} &
+\cross{FFNBP}{transcendenceDegree} \\
+\cross{FFNBP}{transcendent?} &
+\cross{FFNBP}{unit?} &
+\cross{FFNBP}{unitCanonical} \\
+\cross{FFNBP}{unitNormal} &
+\cross{FFNBP}{zero?} &
+\cross{FFNBP}{?*?} \\
+\cross{FFNBP}{?**?} &
+\cross{FFNBP}{?+?} &
+\cross{FFNBP}{?-?} \\
+\cross{FFNBP}{-?} &
+\cross{FFNBP}{?/?} &
+\cross{FFNBP}{?=?} \\
+\cross{FFNBP}{?\^{}?} &
+\cross{FFNBP}{?\~{}=?} &
+\cross{FFNBP}{?quo?} \\
+\cross{FFNBP}{?rem?} &&
+\end{tabular}
+
 <<domain FFNBP FiniteFieldNormalBasisExtensionByPolynomial>>=
 )abbrev domain FFNBP FiniteFieldNormalBasisExtensionByPolynomial
 ++ Authors: J.Grabmeier, A.Scheerhorn
@@ -28673,6 +30232,84 @@ o )show FlexibleArray
 \pageto{IndexedFlexibleArray}{IFARRAY}
 \pageto{IndexedOneDimensionalArray}{IARRAY1}
 \pageto{OneDimensionalArray}{ARRAY1}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FARRAY}{any?} &
+\cross{FARRAY}{coerce} &
+\cross{FARRAY}{concat} &
+\cross{FARRAY}{concat!} &
+\cross{FARRAY}{construct} \\
+\cross{FARRAY}{convert} &
+\cross{FARRAY}{copy} &
+\cross{FARRAY}{copyInto!} &
+\cross{FARRAY}{count} &
+\cross{FARRAY}{delete} \\
+\cross{FARRAY}{delete!} &
+\cross{FARRAY}{elt} &
+\cross{FARRAY}{empty} &
+\cross{FARRAY}{empty?} &
+\cross{FARRAY}{entries} \\
+\cross{FARRAY}{entry?} &
+\cross{FARRAY}{eq?} &
+\cross{FARRAY}{eval} &
+\cross{FARRAY}{every?} &
+\cross{FARRAY}{fill!} \\
+\cross{FARRAY}{find} &
+\cross{FARRAY}{first} &
+\cross{FARRAY}{flexibleArray} &
+\cross{FARRAY}{hash} &
+\cross{FARRAY}{index?} \\
+\cross{FARRAY}{indices} &
+\cross{FARRAY}{insert} &
+\cross{FARRAY}{insert!} &
+\cross{FARRAY}{latex} &
+\cross{FARRAY}{less?} \\
+\cross{FARRAY}{map} &
+\cross{FARRAY}{map!} &
+\cross{FARRAY}{max} &
+\cross{FARRAY}{maxIndex} &
+\cross{FARRAY}{member?} \\
+\cross{FARRAY}{members} &
+\cross{FARRAY}{merge} &
+\cross{FARRAY}{merge!} &
+\cross{FARRAY}{min} &
+\cross{FARRAY}{minIndex} \\
+\cross{FARRAY}{more?} &
+\cross{FARRAY}{new} &
+\cross{FARRAY}{parts} &
+\cross{FARRAY}{physicalLength} &
+\cross{FARRAY}{physicalLength!} \\
+\cross{FARRAY}{position} &
+\cross{FARRAY}{qelt} &
+\cross{FARRAY}{qsetelt!} &
+\cross{FARRAY}{reduce} &
+\cross{FARRAY}{remove} \\
+\cross{FARRAY}{remove!} &
+\cross{FARRAY}{removeDuplicates} &
+\cross{FARRAY}{removeDuplicates!} &
+\cross{FARRAY}{reverse} &
+\cross{FARRAY}{reverse!} \\
+\cross{FARRAY}{sample} &
+\cross{FARRAY}{select} &
+\cross{FARRAY}{select!} &
+\cross{FARRAY}{setelt} &
+\cross{FARRAY}{shrinkable} \\
+\cross{FARRAY}{size?} &
+\cross{FARRAY}{sort} &
+\cross{FARRAY}{sort!} &
+\cross{FARRAY}{sorted?} &
+\cross{FARRAY}{swap!} \\
+\cross{FARRAY}{\#{}?} &
+\cross{FARRAY}{?$<$?} &
+\cross{FARRAY}{?$<=$?} &
+\cross{FARRAY}{?=?} &
+\cross{FARRAY}{?$>$?} \\
+\cross{FARRAY}{?$>=$?} &
+\cross{FARRAY}{?\~{}=?} &
+\cross{FARRAY}{?.?} &&
+\end{tabular}
+
 <<domain FARRAY FlexibleArray>>=
 )abbrev domain FARRAY FlexibleArray
 ++ A FlexibleArray is the notion of an array intended to allow for growth
@@ -29543,6 +31180,127 @@ o )show Float
 @
 \pagehead{Float}{FLOAT}
 \pagepic{ps/v103float.ps}{FLOAT}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{FLOAT}{0} &
+\cross{FLOAT}{1} &
+\cross{FLOAT}{abs} &
+\cross{FLOAT}{acos} \\
+\cross{FLOAT}{acosh} &
+\cross{FLOAT}{acot} &
+\cross{FLOAT}{acoth} &
+\cross{FLOAT}{acsc} \\
+\cross{FLOAT}{acsch} &
+\cross{FLOAT}{asec} &
+\cross{FLOAT}{asech} &
+\cross{FLOAT}{asin} \\
+\cross{FLOAT}{asinh} &
+\cross{FLOAT}{associates?} &
+\cross{FLOAT}{atan} &
+\cross{FLOAT}{atanh} \\
+\cross{FLOAT}{base} &
+\cross{FLOAT}{bits} &
+\cross{FLOAT}{ceiling} &
+\cross{FLOAT}{characteristic} \\
+\cross{FLOAT}{coerce} &
+\cross{FLOAT}{convert} &
+\cross{FLOAT}{cos} &
+\cross{FLOAT}{cosh} \\
+\cross{FLOAT}{cot} &
+\cross{FLOAT}{coth} &
+\cross{FLOAT}{csc} &
+\cross{FLOAT}{csch} \\
+\cross{FLOAT}{D} &
+\cross{FLOAT}{decreasePrecision} &
+\cross{FLOAT}{differentiate} &
+\cross{FLOAT}{digits} \\
+\cross{FLOAT}{divide} &
+\cross{FLOAT}{euclideanSize} &
+\cross{FLOAT}{exp} &
+\cross{FLOAT}{expressIdealMember} \\
+\cross{FLOAT}{exp1} &
+\cross{FLOAT}{exponent} &
+\cross{FLOAT}{exquo} &
+\cross{FLOAT}{extendedEuclidean} \\
+\cross{FLOAT}{factor} &
+\cross{FLOAT}{float} &
+\cross{FLOAT}{floor} &
+\cross{FLOAT}{fractionPart} \\
+\cross{FLOAT}{gcd} &
+\cross{FLOAT}{gcdPolynomial} &
+\cross{FLOAT}{hash} &
+\cross{FLOAT}{increasePrecision} \\
+\cross{FLOAT}{inv} &
+\cross{FLOAT}{latex} &
+\cross{FLOAT}{lcm} &
+\cross{FLOAT}{log} \\
+\cross{FLOAT}{log10} &
+\cross{FLOAT}{log2} &
+\cross{FLOAT}{mantissa} &
+\cross{FLOAT}{max} \\
+\cross{FLOAT}{min} &
+\cross{FLOAT}{multiEuclidean} &
+\cross{FLOAT}{negative?} &
+\cross{FLOAT}{norm} \\
+\cross{FLOAT}{normalize} &
+\cross{FLOAT}{nthRoot} &
+\cross{FLOAT}{OMwrite} &
+\cross{FLOAT}{one?} \\
+\cross{FLOAT}{order} &
+\cross{FLOAT}{outputFixed} &
+\cross{FLOAT}{outputFloating} &
+\cross{FLOAT}{outputGeneral} \\
+\cross{FLOAT}{outputSpacing} &
+\cross{FLOAT}{patternMatch} &
+\cross{FLOAT}{pi} &
+\cross{FLOAT}{positive?} \\
+\cross{FLOAT}{precision} &
+\cross{FLOAT}{prime?} &
+\cross{FLOAT}{principalIdeal} &
+\cross{FLOAT}{rationalApproximation} \\
+\cross{FLOAT}{recip} &
+\cross{FLOAT}{relerror} &
+\cross{FLOAT}{retract} &
+\cross{FLOAT}{retractIfCan} \\
+\cross{FLOAT}{round} &
+\cross{FLOAT}{sample} &
+\cross{FLOAT}{sec} &
+\cross{FLOAT}{sech} \\
+\cross{FLOAT}{shift} &
+\cross{FLOAT}{sign} &
+\cross{FLOAT}{sin} &
+\cross{FLOAT}{sinh} \\
+\cross{FLOAT}{sizeLess?} &
+\cross{FLOAT}{sqrt} &
+\cross{FLOAT}{squareFree} &
+\cross{FLOAT}{squareFreePart} \\
+\cross{FLOAT}{subtractIfCan} &
+\cross{FLOAT}{tan} &
+\cross{FLOAT}{tanh} &
+\cross{FLOAT}{truncate} \\
+\cross{FLOAT}{unit?} &
+\cross{FLOAT}{unitCanonical} &
+\cross{FLOAT}{unitNormal} &
+\cross{FLOAT}{wholePart} \\
+\cross{FLOAT}{zero?} &
+\cross{FLOAT}{?*?} &
+\cross{FLOAT}{?**?} &
+\cross{FLOAT}{?+?} \\
+\cross{FLOAT}{?-?} &
+\cross{FLOAT}{-?} &
+\cross{FLOAT}{?/?} &
+\cross{FLOAT}{?$<$?} \\
+\cross{FLOAT}{?$<=$?} &
+\cross{FLOAT}{?=?} &
+\cross{FLOAT}{?$>$?} &
+\cross{FLOAT}{?$>=$?} \\
+\cross{FLOAT}{?\^{}?} &
+\cross{FLOAT}{?\~{}=?} &
+\cross{FLOAT}{?quo?} &
+\cross{FLOAT}{?rem?} 
+\end{tabular}
+
 <<domain FLOAT Float>>=
 )abbrev domain FLOAT Float
 
@@ -30542,6 +32300,36 @@ Float():
 \pageto{Switch}{SWITCH}
 \pageto{FortranTemplate}{FTEM}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FC}{assign} &
+\cross{FC}{block} &
+\cross{FC}{call} &
+\cross{FC}{code} &
+\cross{FC}{coerce} \\
+\cross{FC}{comment} &
+\cross{FC}{common} &
+\cross{FC}{cond} &
+\cross{FC}{continue} &
+\cross{FC}{forLoop} \\
+\cross{FC}{getCode} &
+\cross{FC}{goto} &
+\cross{FC}{hash} &
+\cross{FC}{latex} &
+\cross{FC}{operation} \\
+\cross{FC}{printCode} &
+\cross{FC}{printStatement} &
+\cross{FC}{repeatUntilLoop} &
+\cross{FC}{returns} &
+\cross{FC}{save} \\
+\cross{FC}{setLabelValue} &
+\cross{FC}{stop} &
+\cross{FC}{whileLoop} &
+\cross{FC}{?=?} &
+\cross{FC}{?~=?} 
+\end{tabular}
+
 <<domain FC FortranCode>>=
 )abbrev domain FC FortranCode 
 -- The FortranCode domain is used to represent operations which are to be
@@ -31153,6 +32941,78 @@ FortranCode(): public == private where
 \pageto{SimpleFortranProgram}{SFORT}
 \pageto{Switch}{SWITCH}
 \pageto{FortranTemplate}{FTEM}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FEXPR}{0} &
+\cross{FEXPR}{1} &
+\cross{FEXPR}{abs} &
+\cross{FEXPR}{acos} &
+\cross{FEXPR}{asin} \\
+\cross{FEXPR}{atan} &
+\cross{FEXPR}{belong?} &
+\cross{FEXPR}{box} &
+\cross{FEXPR}{characteristic} &
+\cross{FEXPR}{coerce} \\
+\cross{FEXPR}{cos} &
+\cross{FEXPR}{cosh} &
+\cross{FEXPR}{D} &
+\cross{FEXPR}{definingPolynomial} &
+\cross{FEXPR}{differentiate} \\
+\cross{FEXPR}{distribute} &
+\cross{FEXPR}{elt} &
+\cross{FEXPR}{eval} &
+\cross{FEXPR}{even?} &
+\cross{FEXPR}{exp} \\
+\cross{FEXPR}{freeOf?} &
+\cross{FEXPR}{hash} &
+\cross{FEXPR}{height} &
+\cross{FEXPR}{is?} &
+\cross{FEXPR}{kernel} \\
+\cross{FEXPR}{kernels} &
+\cross{FEXPR}{latex} &
+\cross{FEXPR}{log} &
+\cross{FEXPR}{log10} &
+\cross{FEXPR}{mainKernel} \\
+\cross{FEXPR}{map} &
+\cross{FEXPR}{max} &
+\cross{FEXPR}{min} &
+\cross{FEXPR}{minPoly} &
+\cross{FEXPR}{odd?} \\
+\cross{FEXPR}{one?} &
+\cross{FEXPR}{operator} &
+\cross{FEXPR}{operators} &
+\cross{FEXPR}{paren} &
+\cross{FEXPR}{pi} \\
+\cross{FEXPR}{recip} &
+\cross{FEXPR}{retract} &
+\cross{FEXPR}{retractIfCan} &
+\cross{FEXPR}{sample} &
+\cross{FEXPR}{sin} \\
+\cross{FEXPR}{sinh} &
+\cross{FEXPR}{sqrt} &
+\cross{FEXPR}{subst} &
+\cross{FEXPR}{subtractIfCan} &
+\cross{FEXPR}{tan} \\
+\cross{FEXPR}{tanh} &
+\cross{FEXPR}{tower} &
+\cross{FEXPR}{useNagFunctions} &
+\cross{FEXPR}{variables} &
+\cross{FEXPR}{zero?} \\
+\cross{FEXPR}{?*?} &
+\cross{FEXPR}{?**?} &
+\cross{FEXPR}{?+?} &
+\cross{FEXPR}{-?} &
+\cross{FEXPR}{?-?} \\
+\cross{FEXPR}{?$<$?} &
+\cross{FEXPR}{?$<=$?} &
+\cross{FEXPR}{?=?} &
+\cross{FEXPR}{?$>$?} &
+\cross{FEXPR}{?$>=$?} \\
+\cross{FEXPR}{?\^{}?} &
+\cross{FEXPR}{?\~{}=?} &&&
+\end{tabular}
+
 <<domain FEXPR FortranExpression>>=
 )abbrev domain FEXPR FortranExpression
 ++ Author: Mike Dewar
@@ -31515,8 +33375,15 @@ FortranExpression(basicSymbols,subscriptedSymbols,R):
 \pageto{Switch}{SWITCH}
 \pageto{FortranTemplate}{FTEM}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{ll}
+\cross{FORTRAN}{coerce} &
+\cross{FORTRAN}{outputAsFortran}
+\end{tabular}
+
 <<domain FORTRAN FortranProgram>>=
-)abbrev domain FORTRAN FortranProgram
+)abbrev domain FORTRAN FortranProgra\\
 ++ Author: Mike Dewar
 ++ Date Created: October 1992
 ++ Date Last Updated: 13 January 1994
@@ -31753,6 +33620,20 @@ FortranProgram(name,returnType,arguments,symbols): Exports == Implement where
 \pageto{FortranType}{FT}
 \pageto{SymbolTable}{SYMTAB}
 \pageto{TheSymbolTable}{SYMS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllllllll}
+\cross{FST}{character?} &
+\cross{FST}{coerce} &
+\cross{FST}{complex?} &
+\cross{FST}{double?} &
+\cross{FST}{doubleComplex?} &
+\cross{FST}{integer?} &
+\cross{FST}{logical?} &
+\cross{FST}{real?} &
+\cross{FST}{?=?} 
+\end{tabular}
+
 <<domain FST FortranScalarType>>=
 )abbrev domain FST FortranScalarType
 ++ Author: Mike Dewar
@@ -31924,6 +33805,27 @@ FortranScalarType() : exports == implementation where
 \pageto{SimpleFortranProgram}{SFORT}
 \pageto{Switch}{SWITCH}
 \pageto{FortranExpression}{FEXPR}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FTEM}{close!} &
+\cross{FTEM}{coerce} &
+\cross{FTEM}{fortranCarriageReturn} &
+\cross{FTEM}{fortranLiteral} &
+\cross{FTEM}{fortranLiteralLine} \\
+\cross{FTEM}{hash} &
+\cross{FTEM}{iomode} &
+\cross{FTEM}{latex} &
+\cross{FTEM}{name} &
+\cross{FTEM}{open} \\
+\cross{FTEM}{processTemplate} &
+\cross{FTEM}{read!} &
+\cross{FTEM}{reopen!} &
+\cross{FTEM}{write!} &
+\cross{FTEM}{?=?} \\
+\cross{FTEM}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain FTEM FortranTemplate>>=
 )abbrev domain FTEM FortranTemplate
 ++ Author: Mike Dewar
@@ -32029,6 +33931,27 @@ FortranTemplate() : specification == implementation where
 \pageto{FortranScalarType}{FST}
 \pageto{SymbolTable}{SYMTAB}
 \pageto{TheSymbolTable}{SYMS}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FT}{coerce} &
+\cross{FT}{construct} &
+\cross{FT}{dimensionsOf} &
+\cross{FT}{external?} &
+\cross{FT}{fortranCharacter} \\
+\cross{FT}{fortranComplex} &
+\cross{FT}{fortranDouble} &
+\cross{FT}{fortranDoubleComplex} &
+\cross{FT}{fortranInteger} &
+\cross{FT}{fortranLogical} \\
+\cross{FT}{fortranReal} &
+\cross{FT}{hash} &
+\cross{FT}{latex} &
+\cross{FT}{scalarTypeOf} &
+\cross{FT}{?=?} \\
+\cross{FT}{?\~{}=?} &&&&
+\end{tabular}
+
 <<domain FT FortranType>>=
 )abbrev domain FT FortranType 
 ++ Author: Mike Dewar
@@ -32149,6 +34072,26 @@ FortranType() : exports == implementation where
 \pagepic{ps/v103fouriercomponent.ps}{FCOMP}{1.00}
 {\bf See}\\
 \pageto{FourierSeries}{FSERIES}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FCOMP}{argument} &
+\cross{FCOMP}{coerce} &
+\cross{FCOMP}{cos} &
+\cross{FCOMP}{hash} &
+\cross{FCOMP}{latex} \\
+\cross{FCOMP}{max} &
+\cross{FCOMP}{min} &
+\cross{FCOMP}{sin} &
+\cross{FCOMP}{sin?} &
+\cross{FCOMP}{?\~{}=?} \\
+\cross{FCOMP}{?$<$?} &
+\cross{FCOMP}{?$<=$?} &
+\cross{FCOMP}{?=?} &
+\cross{FCOMP}{?$>$?} &
+\cross{FCOMP}{?$>=$?} 
+\end{tabular}
+
 <<domain FCOMP FourierComponent>>=
 )abbrev domain FCOMP FourierComponent
 ++ Author: James Davenport
@@ -32203,6 +34146,32 @@ FourierComponent(E:OrderedSet):
 \pagepic{ps/v103fourierseries.ps}{FSERIES}{1.00}
 {\bf See}\\
 \pageto{FourierComponent}{FCOMP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FSERIES}{0} &
+\cross{FSERIES}{1} &
+\cross{FSERIES}{characteristic} &
+\cross{FSERIES}{coerce} &
+\cross{FSERIES}{hash} \\
+\cross{FSERIES}{latex} &
+\cross{FSERIES}{makeCos} &
+\cross{FSERIES}{makeSin} &
+\cross{FSERIES}{one?} &
+\cross{FSERIES}{recip} \\
+\cross{FSERIES}{sample} &
+\cross{FSERIES}{subtractIfCan} &
+\cross{FSERIES}{zero?} &
+\cross{FSERIES}{?\~{}=?} &
+\cross{FSERIES}{?*?} \\
+\cross{FSERIES}{?**?} &
+\cross{FSERIES}{?\^{}?} &
+\cross{FSERIES}{?+?} &
+\cross{FSERIES}{?-?} &
+\cross{FSERIES}{-?} \\
+\cross{FSERIES}{?=?} &&&&
+\end{tabular}
+
 <<domain FSERIES FourierSeries>>=
 )abbrev domain FSERIES FourierSeries
 ++ Author: James Davenport
@@ -32541,6 +34510,91 @@ o )show Fraction
 {\bf See}\\
 \pageto{Localize}{LO}
 \pageto{LocalAlgebra}{LA}
+
+{\bf Exports:}\\
+\begin{tabular}{lll}
+\cross{FRAC}{0} &
+\cross{FRAC}{1} &
+\cross{FRAC}{abs} \\
+\cross{FRAC}{associates?} &
+\cross{FRAC}{characteristic} &
+\cross{FRAC}{charthRoot} \\
+\cross{FRAC}{ceiling} &
+\cross{FRAC}{coerce} &
+\cross{FRAC}{conditionP} \\
+\cross{FRAC}{convert} &
+\cross{FRAC}{D} &
+\cross{FRAC}{denom} \\
+\cross{FRAC}{denominator} &
+\cross{FRAC}{differentiate} &
+\cross{FRAC}{divide} \\
+\cross{FRAC}{euclideanSize} &
+\cross{FRAC}{eval} &
+\cross{FRAC}{expressIdealMember} \\
+\cross{FRAC}{exquo} &
+\cross{FRAC}{extendedEuclidean} &
+\cross{FRAC}{factor} \\
+\cross{FRAC}{factorPolynomial} &
+\cross{FRAC}{factorSquareFreePolynomial} &
+\cross{FRAC}{floor} \\
+\cross{FRAC}{fractionPart} &
+\cross{FRAC}{gcd} &
+\cross{FRAC}{gcdPolynomial} \\
+\cross{FRAC}{hash} &
+\cross{FRAC}{init} &
+\cross{FRAC}{inv} \\
+\cross{FRAC}{latex} &
+\cross{FRAC}{lcm} &
+\cross{FRAC}{map} \\
+\cross{FRAC}{max} &
+\cross{FRAC}{min} &
+\cross{FRAC}{multiEuclidean} \\
+\cross{FRAC}{negative?} &
+\cross{FRAC}{nextItem} &
+\cross{FRAC}{numer} \\
+\cross{FRAC}{numerator} &
+\cross{FRAC}{OMwrite} &
+\cross{FRAC}{one?} \\
+\cross{FRAC}{patternMatch} &
+\cross{FRAC}{positive?} &
+\cross{FRAC}{prime?} \\
+\cross{FRAC}{principalIdeal} &
+\cross{FRAC}{random} &
+\cross{FRAC}{recip} \\
+\cross{FRAC}{reducedSystem} &
+\cross{FRAC}{retract} &
+\cross{FRAC}{retractIfCan} \\
+\cross{FRAC}{sample} &
+\cross{FRAC}{sign} &
+\cross{FRAC}{sizeLess?} \\
+\cross{FRAC}{solveLinearPolynomialEquation} &
+\cross{FRAC}{squareFree} &
+\cross{FRAC}{squareFreePart} \\
+\cross{FRAC}{squareFreePolynomial} &
+\cross{FRAC}{subtractIfCan} &
+\cross{FRAC}{unit?} \\
+\cross{FRAC}{unitCanonical} &
+\cross{FRAC}{unitNormal} &
+\cross{FRAC}{wholePart} \\
+\cross{FRAC}{zero?} &
+\cross{FRAC}{?*?} &
+\cross{FRAC}{?**?} \\
+\cross{FRAC}{?+?} &
+\cross{FRAC}{?-?} &
+\cross{FRAC}{-?} \\
+\cross{FRAC}{?/?} &
+\cross{FRAC}{?=?} &
+\cross{FRAC}{?\^{}?} \\
+\cross{FRAC}{?\~{}=?} &
+\cross{FRAC}{?$<$?} &
+\cross{FRAC}{?$<=$?} \\
+\cross{FRAC}{?$>$?} &
+\cross{FRAC}{?$>=$?} &
+\cross{FRAC}{?.?} \\
+\cross{FRAC}{?quo?} &
+\cross{FRAC}{?rem?} &
+\end{tabular}
+
 <<domain FRAC Fraction>>=
 )abbrev domain FRAC Fraction
 ++ Author:
@@ -32882,6 +34936,36 @@ Fraction(S: IntegralDomain): QuotientFieldCategory S with
 \pageto{FramedModule}{FRMOD}
 \pageto{HyperellipticFiniteDivisor}{HELLFDIV}
 \pageto{FiniteDivisor}{FDIV}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FRIDEAL}{1} &
+\cross{FRIDEAL}{basis} &
+\cross{FRIDEAL}{coerce} &
+\cross{FRIDEAL}{commutator} &
+\cross{FRIDEAL}{conjugate} \\
+\cross{FRIDEAL}{denom} &
+\cross{FRIDEAL}{hash} &
+\cross{FRIDEAL}{ideal} &
+\cross{FRIDEAL}{inv} &
+\cross{FRIDEAL}{latex} \\
+\cross{FRIDEAL}{minimize} &
+\cross{FRIDEAL}{norm} &
+\cross{FRIDEAL}{numer} &
+\cross{FRIDEAL}{one?} &
+\cross{FRIDEAL}{randomLC} \\
+\cross{FRIDEAL}{recip} &
+\cross{FRIDEAL}{sample} &
+\cross{FRIDEAL}{?\~{}=?} &
+\cross{FRIDEAL}{?**?} &
+\cross{FRIDEAL}{?\^{}?} \\
+\cross{FRIDEAL}{?*?} &
+\cross{FRIDEAL}{?**?} &
+\cross{FRIDEAL}{?/?} &
+\cross{FRIDEAL}{?=?} &
+\cross{FRIDEAL}{?\^{}?} 
+\end{tabular}
+
 <<domain FRIDEAL FractionalIdeal>>=
 )abbrev domain FRIDEAL FractionalIdeal
 ++ Author: Manuel Bronstein
@@ -33064,6 +35148,27 @@ FractionalIdeal(R, F, UP, A): Exports == Implementation where
 \pageto{FractionalIdeal}{FRIDEAL}
 \pageto{HyperellipticFiniteDivisor}{HELLFDIV}
 \pageto{FiniteDivisor}{FDIV}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FRMOD}{1} &
+\cross{FRMOD}{basis} &
+\cross{FRMOD}{coerce} &
+\cross{FRMOD}{hash} &
+\cross{FRMOD}{latex} \\
+\cross{FRMOD}{module} &
+\cross{FRMOD}{norm} &
+\cross{FRMOD}{one?} &
+\cross{FRMOD}{recip} &
+\cross{FRMOD}{sample} \\
+\cross{FRMOD}{?\~{}=?} &
+\cross{FRMOD}{?**?} &
+\cross{FRMOD}{?\^{}?} &
+\cross{FRMOD}{?*?} &
+\cross{FRMOD}{?**?} \\
+\cross{FRMOD}{?=?} &&&&
+\end{tabular}
+
 <<domain FRMOD FramedModule>>=
 )abbrev domain FRMOD FramedModule
 ++ Author: Manuel Bronstein
@@ -33246,6 +35351,32 @@ FreeAbelianGroup(S:SetCategory): Exports == Implementation where
 \pageto{FreeGroup}{FGROUP}
 \pageto{InnerFreeAbelianMonoid}{IFAMON}
 \pageto{FreeAbelianGroup}{FAGROUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FAMONOID}{0} &
+\cross{FAMONOID}{coefficient} &
+\cross{FAMONOID}{coerce} &
+\cross{FAMONOID}{hash} &
+\cross{FAMONOID}{highCommonTerms} \\
+\cross{FAMONOID}{latex} &
+\cross{FAMONOID}{mapCoef} &
+\cross{FAMONOID}{mapGen} &
+\cross{FAMONOID}{nthCoef} &
+\cross{FAMONOID}{nthFactor} \\
+\cross{FAMONOID}{retract} &
+\cross{FAMONOID}{retractIfCan} &
+\cross{FAMONOID}{sample} &
+\cross{FAMONOID}{size} &
+\cross{FAMONOID}{subtractIfCan} \\
+\cross{FAMONOID}{terms} &
+\cross{FAMONOID}{zero?} &
+\cross{FAMONOID}{?\~{}=?} &
+\cross{FAMONOID}{?*?} &
+\cross{FAMONOID}{?+?} \\
+\cross{FAMONOID}{?=?} &&&&
+\end{tabular}
+
 <<domain FAMONOID FreeAbelianMonoid>>=
 )abbrev domain FAMONOID FreeAbelianMonoid
 ++ Free abelian monoid on any set of generators
@@ -33277,6 +35408,35 @@ FreeAbelianMonoid(S: SetCategory):
 \pageto{InnerFreeAbelianMonoid}{IFAMON}
 \pageto{FreeAbelianMonoid}{FAMONOID}
 \pageto{FreeAbelianGroup}{FAGROUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FGROUP}{1} &
+\cross{FGROUP}{coerce} &
+\cross{FGROUP}{commutator} &
+\cross{FGROUP}{conjugate} &
+\cross{FGROUP}{factors} \\
+\cross{FGROUP}{hash} &
+\cross{FGROUP}{inv} &
+\cross{FGROUP}{latex} &
+\cross{FGROUP}{mapExpon} &
+\cross{FGROUP}{mapGen} \\
+\cross{FGROUP}{nthExpon} &
+\cross{FGROUP}{nthFactor} &
+\cross{FGROUP}{one?} &
+\cross{FGROUP}{recip} &
+\cross{FGROUP}{retract} \\
+\cross{FGROUP}{retractIfCan} &
+\cross{FGROUP}{sample} &
+\cross{FGROUP}{size} &
+\cross{FGROUP}{?\~{}=?} &
+\cross{FGROUP}{?**?} \\
+\cross{FGROUP}{?\^{}?} &
+\cross{FGROUP}{?*?} &
+\cross{FGROUP}{?/?} &
+\cross{FGROUP}{?=?} &
+\end{tabular}
+
 <<domain FGROUP FreeGroup>>=
 )abbrev domain FGROUP FreeGroup
 ++ Free group on any set of generators
@@ -33354,6 +35514,29 @@ FreeGroup(S: SetCategory): Join(Group, RetractableTo S) with
 \pageto{PolynomialRing}{PR}
 \pageto{SparseUnivariatePolynomial}{SUP}
 \pageto{UnivariatePolynomial}{UP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FM}{0} &
+\cross{FM}{coerce} &
+\cross{FM}{hash} &
+\cross{FM}{latex} &
+\cross{FM}{leadingCoefficient} \\
+\cross{FM}{leadingSupport} &
+\cross{FM}{map} &
+\cross{FM}{monomial} &
+\cross{FM}{reductum} &
+\cross{FM}{sample} \\
+\cross{FM}{subtractIfCan} &
+\cross{FM}{zero?} &
+\cross{FM}{?\~{}=?} &
+\cross{FM}{?*?} &
+\cross{FM}{?+?} \\
+\cross{FM}{?-?} &
+\cross{FM}{-?} &
+\cross{FM}{?=?} &&
+\end{tabular}
+
 <<domain FM FreeModule>>=
 )abbrev domain FM FreeModule
 ++ Author: Dave Barton, James Davenport, Barry Trager
@@ -33433,6 +35616,38 @@ FreeModule(R:Ring,S:OrderedSet):
 \section{domain FM1 FreeModule1}
 \pagehead{FreeModule1}{FM1}
 \pagepic{ps/v103freemodule1.ps}{FM1}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FM1}{0} &
+\cross{FM1}{coefficient} &
+\cross{FM1}{coefficients} &
+\cross{FM1}{coerce} &
+\cross{FM1}{hash} \\
+\cross{FM1}{latex} &
+\cross{FM1}{leadingCoefficient} &
+\cross{FM1}{leadingMonomial} &
+\cross{FM1}{leadingTerm} &
+\cross{FM1}{ListOfTerms} \\
+\cross{FM1}{map} &
+\cross{FM1}{monom} &
+\cross{FM1}{monomial?} &
+\cross{FM1}{monomials} &
+\cross{FM1}{numberOfMonomials} \\
+\cross{FM1}{reductum} &
+\cross{FM1}{retract} &
+\cross{FM1}{retractIfCan} &
+\cross{FM1}{sample} &
+\cross{FM1}{subtractIfCan} \\
+\cross{FM1}{zero?} &
+\cross{FM1}{?\~{}=?} &
+\cross{FM1}{?*?} &
+\cross{FM1}{?+?} &
+\cross{FM1}{?-?} \\
+\cross{FM1}{-?} &
+\cross{FM1}{?=?} &&&
+\end{tabular}
+
 <<domain FM1 FreeModule1>>=
 )abbrev domain FM1 FreeModule1
 ++ Author: Michel Petitot petitot@lifl.fr
@@ -33550,6 +35765,43 @@ FreeModule1(R:Ring,S:OrderedSet): FMcat == FMdef where
 \pageto{InnerFreeAbelianMonoid}{IFAMON}
 \pageto{FreeAbelianMonoid}{FAMONOID}
 \pageto{FreeAbelianGroup}{FAGROUP}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FMONOID}{1} &
+\cross{FMONOID}{coerce} &
+\cross{FMONOID}{divide} &
+\cross{FMONOID}{factors} &
+\cross{FMONOID}{hash} \\
+\cross{FMONOID}{hclf} &
+\cross{FMONOID}{hcrf} &
+\cross{FMONOID}{latex} &
+\cross{FMONOID}{lquo} &
+\cross{FMONOID}{mapExpon} \\
+\cross{FMONOID}{mapGen} &
+\cross{FMONOID}{max} &
+\cross{FMONOID}{min} &
+\cross{FMONOID}{nthExpon} &
+\cross{FMONOID}{nthFactor} \\
+\cross{FMONOID}{one?} &
+\cross{FMONOID}{overlap} &
+\cross{FMONOID}{recip} &
+\cross{FMONOID}{rquo} &
+\cross{FMONOID}{retract} \\
+\cross{FMONOID}{retractIfCan} &
+\cross{FMONOID}{sample} &
+\cross{FMONOID}{size} &
+\cross{FMONOID}{?\~{}=?} &
+\cross{FMONOID}{?**?} \\
+\cross{FMONOID}{?$<$?} &
+\cross{FMONOID}{?$<=$?} &
+\cross{FMONOID}{?$>$?} &
+\cross{FMONOID}{?$>=$?} &
+\cross{FMONOID}{?\^{}?} \\
+\cross{FMONOID}{?*?} &
+\cross{FMONOID}{?=?} &&&
+\end{tabular}
+
 <<domain FMONOID FreeMonoid>>=
 )abbrev domain FMONOID FreeMonoid
 ++ Free monoid on any set of generators
@@ -33747,6 +35999,35 @@ FreeMonoid(S: SetCategory): FMcategory == FMdefinition where
 {\bf See}\\
 \pageto{OrdSetInts}{OSI}
 \pageto{Commutator}{COMM}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FNLA}{0} &
+\cross{FNLA}{antiCommutator} &
+\cross{FNLA}{associator} &
+\cross{FNLA}{coerce} &
+\cross{FNLA}{commutator} \\
+\cross{FNLA}{deepExpand} &
+\cross{FNLA}{dimension} &
+\cross{FNLA}{generator} &
+\cross{FNLA}{hash} &
+\cross{FNLA}{latex} \\
+\cross{FNLA}{leftPower} &
+\cross{FNLA}{plenaryPower} &
+\cross{FNLA}{rightPower} &
+\cross{FNLA}{sample} &
+\cross{FNLA}{shallowExpand} \\
+\cross{FNLA}{subtractIfCan} &
+\cross{FNLA}{zero?} &
+\cross{FNLA}{?\~{}=?} &
+\cross{FNLA}{?*?} &
+\cross{FNLA}{?**?} \\
+\cross{FNLA}{?+?} &
+\cross{FNLA}{?-?} &
+\cross{FNLA}{-?} &
+\cross{FNLA}{?=?} &
+\end{tabular}
+
 <<domain FNLA FreeNilpotentLie>>=
 )abbrev domain FNLA FreeNilpotentLie
 ++ Author: Larry Lambe
@@ -34347,6 +36628,24 @@ o )show FullPartialFractionExpansion
 @
 \pagehead{FullPartialFractionExpansion}{FPARFRAC}
 \pagepic{ps/v103fullpartialfractionexpansion.ps}{FPARFRAC}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{lllll}
+\cross{FPARFRAC}{coerce} &
+\cross{FPARFRAC}{construct} &
+\cross{FPARFRAC}{convert} &
+\cross{FPARFRAC}{D} &
+\cross{FPARFRAC}{differentiate} \\
+\cross{FPARFRAC}{hash} &
+\cross{FPARFRAC}{latex} &
+\cross{FPARFRAC}{polyPart} &
+\cross{FPARFRAC}{fracPart} &
+\cross{FPARFRAC}{fullPartialFraction} \\
+\cross{FPARFRAC}{?\~{}=?} &
+\cross{FPARFRAC}{?+?} &
+\cross{FPARFRAC}{?=?} &&
+\end{tabular}
+
 <<domain FPARFRAC FullPartialFractionExpansion>>=
 )abbrev domain FPARFRAC FullPartialFractionExpansion
 ++ Full partial fraction expansion of rational functions
@@ -34534,6 +36833,17 @@ FullPartialFractionExpansion(F, UP): Exports == Implementation where
 \section{domain FUNCTION FunctionCalled}
 \pagehead{FunctionCalled}{FUNCTION}
 \pagepic{ps/v103functioncalled.ps}{FUNCTION}{1.00}
+
+{\bf Exports:}\\
+\begin{tabular}{llllll}
+\cross{FUNCTION}{coerce} &
+\cross{FUNCTION}{hash} &
+\cross{FUNCTION}{latex} &
+\cross{FUNCTION}{name} &
+\cross{FUNCTION}{?=?} &
+\cross{FUNCTION}{?\~{}=?} 
+\end{tabular}
+
 <<domain FUNCTION FunctionCalled>>=
 )abbrev domain FUNCTION FunctionCalled
 ++ Description:
diff --git a/changelog b/changelog
index b0353c8..77d2ba3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090115 tpd src/axiom-website/patches.html 20090115.01.tpd.patch
+20090115 tpd books/bookvol10.3 add exports
 20090114 tpd src/axiom-website/patches.html 20090114.01.tpd.patch
 20090114 tpd books/bookvol10.3 add exports
 20090113 tpd src/axiom-website/patches.html 20090113.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ede4471..bb45eb9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -879,6 +879,8 @@ bookvol10.3 redraw graphs based on dotabb<br/>
 bookvol10.3 begin adding exports<br/>
 <a href="patches/20090114.01.tpd.patch">20090114.01.tpd.patch</a>
 bookvol10.3 add exports<br/>
+<a href="patches/20090115.01.tpd.patch">20090115.01.tpd.patch</a>
+bookvol10.3 add exports<br/>
 
  </body>
 </html>
